commit db45750ebb2ce8d841f8e555e79f09108527aaa8 (HEAD -> master, origin/master, origin/HEAD)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 19 09:33:32 2018 +0200

    Release 1.4.30
    
    Signed-off-by: Ludovic Rousseau <ludovic.rousseau@free.fr>

 README       | 26 ++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 27 insertions(+), 1 deletion(-)

commit 8e25aca1e115546dc3d01f866ae1236d3f98275b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Sep 7 16:25:10 2018 +0200

    SafeNet eToken 5300 new firmware
    
    firmware changed from 0.12 to 0.15. No other visible changes.

 readers/SafeNet_eToken_5300.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 62f66e488d0742fc4b6f71bc0f4465406dd55a59
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Sep 14 14:39:34 2018 +0200

    InterruptRead(): revert change 68ece95c8e
    
    The value in transfer->status is not a libusb_error but a
    libusb_transfer_status.
    
    We can't use libusb_error_name() on this value unless we only want to
    see LIBUSB_ERROR_UNKNOWN values

 src/ccid_usb.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 36fa4611f9fa4d8bafb3e888f13d97f90a3a7b6e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Sep 4 18:06:31 2018 +0200

    Disable the REINER SCT cyberJack RFID standard
    
    Move from the "should work" to "disabled" list on Reiner SCT request.

 readers/supported_readers.txt | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 68ece95c8e4fd05a37b10944dce2f1a819fbd3c8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Aug 31 14:52:03 2018 +0200

    InterruptStop(): Log the libusb text instead of number
    
    If libusb_cancel_transfer() fails we now use libusb_error_name() to get the
    error message in text instead of just the error number.
    
    The log message is now
    00000008 ccid_usb.c:1399:InterruptStop() libusb_cancel_transfer failed: LIBUSB_ERROR_NOT_FOUND
    instead of:
    00000007 ccid_usb.c:1399:InterruptStop() libusb_cancel_transfer failed: -5

 src/ccid_usb.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6d2bebccdae215eb6cc63560ab573dd6aad589c3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 27 21:58:43 2018 +0200

    Use new Yubico YubiKey names

 readers/supported_readers.txt | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 96c6cf1286f75f2624ba4d58db4c342c3cd6371d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 27 21:55:15 2018 +0200

    Yubikey 4 OTP+U2F+CCID firmware upgrade
    
    bcdDevice updated from 4.37 to 5.03
    - new iProduct "YubiKey OTP+FIDO+CCID"
    - new dwMaxIFSD: 3062

 readers/Yubico_Yubikey_4_OTP+U2F+CCID.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 78e939ffb565c014de3ce931f49d179b4e6801aa
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 27 21:53:56 2018 +0200

    Yubikey 4 U2F+CCID firmware upgrade
    
    bcdDevice updated from 4.20 to 5.03
    - new iProduct "YubiKey FIDO+CCID"
    - new dwMaxIFSD: 3062
    - new dwMaxCCIDMessageLength: 3072 bytes

 readers/Yubico_Yubikey_4_U2F+CCID.txt | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b940e3e9400d20917cdd90f0b56ac90f48994394
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 27 21:51:01 2018 +0200

    Yubikey 4 OTP+CCID firmware update
    
    bcdDevice updated from 4.20 to 5.03
    - new iProduct "YubiKey OTP+CCID"
    - new dwMaxIFSD: 3062
    - new dwMaxCCIDMessageLength: 3072 bytes

 readers/Yubico_Yubikey_4_OTP+CCID.txt | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9938ed502655228fa11f1ed961840051a07dbc14
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 27 21:48:33 2018 +0200

    Yubikey 4 CCID firmware update
    
    bcdDevice updated from 4.20 to 5.03
    - new iProduct "YubiKey CCID"
    - new dwMaxIFSD: 3062
    - new dwMaxCCIDMessageLength: 3072 bytes

 readers/Yubico_Yubikey_4_CCID.txt | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1859b3d23668e68065e6cf0a1965b266f65e3fa5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 27 19:05:10 2018 +0200

    Add ACS ACR33 ICC Reader

 readers/acs_acr33u.txt        | 52 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 ++-
 2 files changed, 54 insertions(+), 1 deletion(-)

commit 452fb5a64dc5424baa6932ba1dec3eb28572e3a4
Author: Nicolas Schneider <nioncode+git@gmail.com>
Date:   Sun Aug 26 15:41:20 2018 +0200

    Fix leaking an allocated bundle in case no matching reader was found

 src/ccid_usb.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 06ae9756e9fe80216a432a2a5c1dabb128ea8b28
Author: Nicolas Schneider <nioncode+git@gmail.com>
Date:   Sat Aug 25 13:02:05 2018 +0200

    Fix libusb config descriptor leak
    
    The descriptor received from libusb_get_active_config_descriptor was
    never freed. Thus, when opening a channel repeatedly, more and more
    memory was leaked (tested with valgrind).

 src/ccid_usb.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 33748489fda8497e91bf9fef16257f9a840d8f6e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 27 19:40:20 2018 +0200

    Add Certgate GmbH AirID 2 USB

 readers/Certgate_AirID_2_USB.txt | 49 ++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |  5 +++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit ce2acdb9fe5e8f4381b3ff8a7ec81f6ef9afcbfd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 16 20:52:09 2018 +0200

    Update Cherry_KC_1000_SC_Z
    
    New firmware with extended APDU support

 readers/Cherry_KC_1000_SC_Z.txt | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 75c92f7365432b0cac2b4e3be82d44070c72fe34
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 16 20:45:00 2018 +0200

    Update Cherry_KC_1000_SC
    
    New firmware with extended APDU support

 readers/Cherry_KC_1000_SC.txt | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit bd81ab573ff91febee83c699e178c5e0f146c0f1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 16 20:30:54 2018 +0200

    Fix FujitsuTechnologySolutions GmbH Keyboard KB SCR2 name

 readers/supported_readers.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3cd2999f79ff47a72c4f3651e98da13af5c169a1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 16 20:24:20 2018 +0200

    Update FujitsuTechnologySolutions_Keyboard_KB100_SCR_eSIG
    
    New firmware with extended APDU support.

 readers/FujitsuTechnologySolutions_Keyboard_KB100_SCR_eSIG.txt | 9 +++++----
 readers/supported_readers.txt                                  | 2 +-
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 6b37041bb958031fa213b0c51a1d004f9d566876
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 16 20:20:43 2018 +0200

    Update FujitsuTechnologySolutions_Keyboard_KB100_SCR
    
    New firmware with extended APDU support.

 readers/FujitsuTechnologySolutions_Keyboard_KB100_SCR.txt | 9 +++++----
 readers/supported_readers.txt                             | 4 ++--
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 39c7ed6b83bf75fc3eb7fbd3a31e96526c8146ba
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 16 20:06:00 2018 +0200

    Update Fujitsu_Smartcard_Reader_D323 descriptor
    
    The reader now has extended APDU support.

 readers/Fujitsu_Smartcard_Reader_D323.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6021465a8330021bf4399ee2bd65e4d0bcd6f476 (github/master)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 9 15:53:41 2018 +0200

    macOS: exit configure with an error when needed
    
    If the script is not launched from the correct place then exit with an
    error code.

 MacOSX/configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb9b92e7284286e518f29e798442ba0bde0a4f99
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 9 15:51:49 2018 +0200

    macOS: exit configure with an error when needed
    
    If an incorrect configuration for libusb is found then exit with an
    error code instead of 0.

 MacOSX/configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b8b0e6ba0109fdc54e086ee78c35b5316cd5c91
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 25 12:20:25 2018 +0200

    Add Broadcom Corp 58200

 readers/Broadcom_58200.txt    | 106 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   3 +-
 2 files changed, 108 insertions(+), 1 deletion(-)

commit 696fa6b1e6bf5ff7783af7be688fffc4e7dc4fda
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 18 17:57:44 2018 +0200

    PCSC submodule: resync to PCSC/master

 PCSC | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e26122ef8155ad4ebe28551497fbcf4dfe7927a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 18 17:24:19 2018 +0200

    supported_readers: fix CCID URL
    
    Move from pcsclite.alioth.debian.org to ccid.apdu.fr

 readers/supported_readers.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3d71e025d479f7a2082c61a2302014cd65e3783
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 18 17:23:05 2018 +0200

    INSTALL: fix CCID URL
    
    Move from pcsclite.alioth.debian.org to ccid.apdu.fr

 INSTALL | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit a912fcc33febadef1db0afb003141b27478bdd54
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 18 17:19:02 2018 +0200

    README: fix reader list URLs
    
    Move from pcsclite.alioth.debian.org to ccid.apdu.fr

 README | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 85d33a8ff31d42ed3651659499f54602106bd8fc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue May 1 18:40:16 2018 +0200

    Add Genesys Logic Combo Card Reader

 readers/Genesys_Logic_Combo_Card_Reader.txt | 112 ++++++++++++++++++++++++++++
 readers/supported_readers.txt               |   1 +
 2 files changed, 113 insertions(+)

commit ffaee8fe1456e9c2197d1c9ba61d0bf041492edd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue May 1 18:38:55 2018 +0200

    Add Genesys Logic CCID Card Reader

 readers/Genesys_Logic_CCID_Card_Reader.txt | 112 +++++++++++++++++++++++++++++
 readers/supported_readers.txt              |   5 +-
 2 files changed, 116 insertions(+), 1 deletion(-)

commit 0bfd7b0f3463096c9beff78e2c50c04d908219a2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Apr 21 09:51:18 2018 +0200

    Yubico_Yubikey_4_OTP+U2F+CCID: update firmware to 4.37
    
    dwMaxCCIDMessageLength moved from 2048 to 3072 bytes

 readers/Yubico_Yubikey_4_OTP+U2F+CCID.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bae63c43c7eb66f391d8c713fbc4fb3baf38d9e3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 18 17:36:56 2018 +0100

    Remove submodule contrib_libPCSCv2part10

 contrib_libPCSCv2part10 | 1 -
 1 file changed, 1 deletion(-)

commit c60b86a94fb336cb72d770af48b30fa73e17179f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 18 17:24:06 2018 +0100

    Update links for PCSCv2part10.{c,h}
    
    The submodule has been renamed PCSC-contrib.

 examples/PCSCv2part10.c | 2 +-
 examples/PCSCv2part10.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c5fd7d7eba45d9355ea780ede8585ec791d3537a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 18 17:21:39 2018 +0100

    .gitmodules: Use a relative path for PCSC-contrib
    
    Do not hardcode the git repository in the URL but use a relative path so
    that "git clone --recursive" will work for
    https://salsa.debian.org/rousseau/CCID.git,
    https://github.com/LudovicRousseau/CCID.git and also for git@ URLs.

 .gitmodules | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e1bb2a24c68af26d75bef7e3dc117641272aade
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 18 17:20:45 2018 +0100

    ylwrap: update to version 2018-03-07

 ylwrap | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 5346af31baa739355f48750cc51889aa34b7d10f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 18 17:15:56 2018 +0100

    Add PCSC-contrib submodule

 .gitmodules  | 2 +-
 PCSC-contrib | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit c07b89ed40cced3410c218e19ec39f9f491fe9ee
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 18 16:44:17 2018 +0100

    submodule contrib is renamed PCSC-contrib
    
    The upsteam repository is https://salsa.debian.org/rousseau/PCSC-contrib

 .gitmodules | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 85bd9cb85743f52fc4038d139a3032b510738337
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Mar 15 16:48:50 2018 +0100

    Add BIFIT ANGARA

 readers/BIFIT_ANGARA.txt      | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 ++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 239336aee5d0c0b7a0ffbed8ed7d080d421f8b13
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Mar 2 14:11:33 2018 +0100

    Add DC.Ltd DC4 5CCID READER

 readers/DC_DC4_5CCID_READER.txt | 211 ++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |   5 +-
 2 files changed, 215 insertions(+), 1 deletion(-)

commit 733d60d0a1b40959c11b5210093e326ce220dfdd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 23 23:46:32 2018 +0100

    Add Spyrus Inc WorkSafe Pro (ProductID 0x3117)

 readers/Spyrus_WorkSafe_Pro_0x3117.txt | 49 ++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt          |  1 +
 2 files changed, 50 insertions(+)

commit ad3b30c4f70a1facbe06cd057fd4e77da6458872
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 23 23:23:30 2018 +0100

    Add InfoThink IT-500U Reader

 readers/InfoThink_IT-500U_Reader.txt | 64 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        |  3 +-
 2 files changed, 66 insertions(+), 1 deletion(-)

commit 7ab9a8b3d2c91a9588388c489252628afc0469d0 (tag: ccid-1.4.29)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Feb 21 09:43:01 2018 +0100

    Release 1.4.29
    
    Signed-off-by: Ludovic Rousseau <ludovic.rousseau@free.fr>

 README       | 17 +++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit 7db748a330b1387d496ced77a9182dbb9b4492dc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Feb 20 22:35:48 2018 +0100

    Add Spyrus Inc WorkSafe Pro

 readers/Spyrus_WorkSafe_Pro.txt | 49 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |  3 ++-
 2 files changed, 51 insertions(+), 1 deletion(-)

commit 4f7760eb4fb23ea867a542d2d3abb4e24b312145
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Feb 19 21:55:41 2018 +0100

    Add Spyrus Inc Rosetta USB

 readers/Spyrus_Rosetta_USB.txt | 49 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  3 ++-
 2 files changed, 51 insertions(+), 1 deletion(-)

commit 11040a13bddc7ebb1ce10f854e21930942a76731
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Feb 1 18:18:38 2018 +0100

    Add KeyXentic Inc. KX906 Smart Card Reader

 readers/KeyXentic_KX906_Smart_Card_Reader.txt | 65 +++++++++++++++++++++++++++
 readers/supported_readers.txt                 |  5 ++-
 2 files changed, 69 insertions(+), 1 deletion(-)

commit 146d4d9848e0ef2c2be9a197596e88af11b9b767
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jan 31 13:50:46 2018 +0100

    Add Watchdata USB Key (idProduct: 0x0418)

 readers/Watchdata_USB_Key3.txt | 47 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  3 ++-
 2 files changed, 49 insertions(+), 1 deletion(-)

commit b9d0f0fa72d5f39a994885ec4a7cc3833a1a9f6e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Jan 25 19:07:06 2018 +0100

    Add HID Global OMNIKEY 5027CK CCID CONFIG IF

 .../HID_Global_OMNIKEY_5027CK_CCID_CONFIG_IF.txt   | 154 +++++++++++++++++++++
 readers/supported_readers.txt                      |   1 +
 2 files changed, 155 insertions(+)

commit 9ea5c611b37a8aeb916fcdf9d6f09549049231ae
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Jan 25 19:05:26 2018 +0100

    Add HID Global OMNIKEY 5023 Smart Card Reader

 .../HID_Global_OMNIKEY_5023_Smart_Card_Reader.txt  | 162 +++++++++++++++++++++
 readers/supported_readers.txt                      |   3 +-
 2 files changed, 164 insertions(+), 1 deletion(-)

commit a27a11711a9861acea3a9b43bba56ba157c670af
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jan 21 13:15:19 2018 +0100

    The C3PO LTC31 v2 wrongly declares PIN support
    
    The new firmware is bogus and declares PIN support but the reader has no
    pinpad.
    
    Thanks to Jose Ramon Alvarez-Sanchez for the bug report.

 src/ccid.c | 2 ++
 src/ccid.h | 1 +
 2 files changed, 3 insertions(+)

commit 6ddc11399c4865eec15412d10b868667d94e5ff9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jan 21 13:13:37 2018 +0100

    LTC31v2: firmware upgrade from 0.50 to 2.50
    
    The new firmware is bogus and declares PIN support but the reader has no
    pinpad.
    
    Thanks to Jose Ramon Alvarez-Sanchez

 readers/LTC31v2.txt | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit e637b6f1e3cc097d985dd1d49ac6e9b3831ca2c0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Nov 29 13:28:14 2017 +0100

    Add Bit4id Digital-DNA Key

 readers/Bit4id_Digital-DNA_Key_NO_BT.txt | 47 ++++++++++++++++++++++++++++++++
 readers/supported_readers.txt            |  1 +
 2 files changed, 48 insertions(+)

commit 0bc1104293c6a61f3e6fdfbd337a515020d7d4d2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Nov 29 13:23:12 2017 +0100

    Add Bit4id Digital-DNA Key BT

 readers/Bit4id_Digital-DNA_Key_BT.txt | 47 +++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt         |  3 ++-
 2 files changed, 49 insertions(+), 1 deletion(-)

commit ba726e894641c11df8054428da4256112a392417
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 10 18:05:14 2017 +0100

    Add Chicony HP Skylab USB Smartcard Keyboard

 .../Chicony_HP_Skylab_USB_Smartcard_Keyboard.txt   | 58 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  3 +-
 2 files changed, 60 insertions(+), 1 deletion(-)

commit 373a0af0f91fde530ddd782e991a78bf42e7124d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Oct 27 15:09:36 2017 +0200

    IFDHControl: fix comment

 src/ifdhandler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9bab4d43756f3a4ecca490667897b8a7cc1e444
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 24 17:31:33 2017 +0200

    Firmware upgrade for HID_Global_OMNIKEY_6121_Smart_Card_Reader

 .../HID_Global_OMNIKEY_6121_Smart_Card_Reader.txt  | 26 +++++++++++++---------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 76cc52bc4a1de391d87b840f8927e16aa2eec513
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 24 17:30:41 2017 +0200

    Firmware upgrade for HID_Global_OMNIKEY_3x21_Smart_Card_Reader

 .../HID_Global_OMNIKEY_3x21_Smart_Card_Reader.txt  | 26 +++++++++++++---------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 20f2b6804f0b43b7e077993c317cb72e18f2debf
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Oct 20 18:18:42 2017 +0200

    Add Bluink Ltd. Bluink CCID

 readers/Bluink_CCID.txt       | 61 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 +++
 2 files changed, 64 insertions(+)

commit 49b6709a7969a0d6a61f50eb65a142888ff156d1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Oct 20 18:13:02 2017 +0200

    Add Access IS NFC Smart Module
    
    With idProduct 0x0164

 readers/Access_IS_NFC_Smart_Module_0x0164.txt | 277 ++++++++++++++++++++++++++
 readers/supported_readers.txt                 |   3 +-
 2 files changed, 279 insertions(+), 1 deletion(-)

commit 63f13f83b2bac864460eba0a04bcca40750ed879
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Oct 20 17:46:08 2017 +0200

    Remove extra_egt() causing problems
    
    Problem with ATR 3B DF 18 FF 81 F1 FE 43 00 3F 03 83 4D 49 46 41 52 45
    20 50 6C 75 73 20 53 41 4D 3B and reader "Elatec
    TWN4/B1.06/CPF3.05/S1SC1.32/P (Beta 3)".
    
    The card declares TC1=0xFF
    The extra_egt() function replaces the value with 0x02 and the driver
    uses this value in the PC_to_RDR_ResetParameters.
    
    From ISO 7816-3 2006 chapter "11.2 Character frame"
    " If N = 255, CGT = 11 etu in **both directions** of transmission."
    
    So the card uses a CGT = 11 etu but the reader expects a CGT of a bit
    more than 12 etu. The card communicates faster than the reader expect.
    
    This patch was introduced to use non-ISO/bogus cards more than 10 years
    ago. Now the patch is problematic so I remove it.
    
    Thanks to Thomas Vetter for the bug report.

 src/ifdhandler.c | 81 --------------------------------------------------------
 1 file changed, 81 deletions(-)

commit 70379da0cf79444d7035e0f42bea6f759f0a0886 (tag: ccid-1.4.28)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Oct 11 14:00:57 2017 +0200

    Release 1.4.28
    
    Signed-off-by: Ludovic Rousseau <ludovic.rousseau@free.fr>

 README       | 26 ++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 27 insertions(+), 1 deletion(-)

commit 7fd10bfab0c9c9fd4903d7b8e4d33a9dc3347273
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Oct 4 14:02:48 2017 +0200

    Add Unicept GmbH AirID USB Dongle

 readers/Unicept_AirID_USB_Dongle.txt | 51 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        |  3 ++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit ebe042a757dc85e2ecc9609edc3b4ced588c6eba
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Oct 2 15:35:02 2017 +0200

    Makefile: add support of spaces in DESTDIR
    
    It is now possible to use space characters in the destination directory
    name (DESTDIR).
    
    This is inspired by Apple patch destDirFix.patch
    https://opensource.apple.com/source/SmartcardCCID/SmartcardCCID-55017/ccid/files/destDirFix.patch.auto.html

 src/Makefile.am | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 94f90761bbedd0325fe321303b1871825927267d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 27 17:54:45 2017 +0200

    Add HID Global OMNIKEY 5122 Dual

 readers/HID_Global_OMNIKEY_5122_Dual.txt | 329 +++++++++++++++++++++++++++++++
 readers/supported_readers.txt            |   1 +
 2 files changed, 330 insertions(+)

commit 9a1b284329f88ef8eda2b7361096c05eda84f57a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 27 17:53:32 2017 +0200

    Add HID Global OMNIKEY 5122 Smartcard Reader

 .../HID_Global_OMNIKEY_5122_Smartcard_Reader.txt   | 329 +++++++++++++++++++++
 readers/supported_readers.txt                      |   3 +-
 2 files changed, 331 insertions(+), 1 deletion(-)

commit 7077b050b699e72471348877ca221a8641e858dc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Sep 25 18:40:48 2017 +0200

    Add KRONEGGER Micro Core Platform

 readers/KRONEGGER_Micro_Core_Platform.txt | 310 ++++++++++++++++++++++++++++++
 readers/supported_readers.txt             |   1 +
 2 files changed, 311 insertions(+)

commit e95a7204b24346297ca64c11b63078bb25e8556d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Sep 25 18:36:17 2017 +0200

    Add KRONEGGER NFC blue Reader Platform

 readers/KRONEGGER_NFC_blue_Reader_Platform.txt | 310 +++++++++++++++++++++++++
 readers/supported_readers.txt                  |   5 +-
 2 files changed, 314 insertions(+), 1 deletion(-)

commit 502dd6c9bb285d92e6aee2578eb36c19eba87a40
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 20 10:45:46 2017 +0200

    Move Athena IDProtect Flash in Unsupported list
    
    The reader does not work with a GnuPG card V2 card. All APDUs are
    rejected with "Card absent or mute".

 readers/supported_readers.txt | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit a06440b70d2b7898ac813d5e87d5349f18fcd166
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Sep 18 21:33:25 2017 +0200

    Add Athena IDProtect Flash

 readers/Athena_IDProtect_Flash.txt | 53 ++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt      |  3 ++-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit 7f3a5207e30e83af3d95dcd9ba3576e603cf6fb8
Author: Rodrigo <rodarima@gmail.com>
Date:   Sat Sep 9 01:13:06 2017 +0200

    udev rules: Disable USB autosuspend on C3PO LTC31 v1 reader
    
    The device doesn't seem to work fine when resuming from suspension mode.
    By preventing autosuspension the device doesn't fail anymore.
    
    See Github issue #36
    "USB autosuspend problem: libusb_open returns LIBUSB_ERROR_IO"
    https://github.com/LudovicRousseau/CCID/issues/36

 src/92_pcscd_ccid.rules | 3 +++
 1 file changed, 3 insertions(+)

commit 12cd7a1a0a7761ee4c98c9647473b1e754ea8d75
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Sep 8 23:23:31 2017 +0200

    Add REINER SCT cyberJack RFID standard

 readers/ReinerSCT_cyberJack_RFID_standard.txt | 59 +++++++++++++++++++++++++++
 readers/supported_readers.txt                 |  3 +-
 2 files changed, 61 insertions(+), 1 deletion(-)

commit abed9dff59d7d049e3323a66b0ab710f31fb546e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Aug 31 10:07:33 2017 +0200

    udev rule: allow rule overwrite
    
    Use:
    ATTR{power/control}="auto"
    instead of:
    RUN+="/bin/sh -c 'echo auto > /sys/$devpath/power/control'"
    
    It looks like this allows to add udev rules after that to change again
    the power/control behavior.
    
    Closes github issue #36
    "USB autosuspend problem: libusb_open returns LIBUSB_ERROR_IO"
    https://github.com/LudovicRousseau/CCID/issues/36

 src/92_pcscd_ccid.rules | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00aed9f2a147e24df2050617f6560c2b76e1f051
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Aug 30 13:26:02 2017 +0200

    Add Watchdata USB Key
    
    ProductID: 0x0417

 readers/Watchdata_USB_Key2.txt | 47 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  3 ++-
 2 files changed, 49 insertions(+), 1 deletion(-)

commit 3b29cc5afbbe27bb5421d334623bbd07c574bbf8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Aug 19 23:20:09 2017 +0200

    Fix non-pinpad HID global devices
    
    The HID Aviator is not the only reader that declares pinpad support in
    the USB descriptor but that has no physical keyboard to enter a PIN.
    The USB descriptor is bogus.
    
    The readers also support Extended APDU even if they declare Short APDU.
    
    Bogus readers are:
    - OMNIKEY Generic
    - OMNIKEY 3121 or 3021 or 1021
    - OMNIKEY 6121
    - Cherry Smart Terminal xx44
    - Fujitsu Smartcard Reader D323
    
    Thanks to hidglobal.com for the patch.

 src/ccid.c | 7 ++++++-
 src/ccid.h | 4 ++++
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 10fd29a365f1f664063bee320c06e37253a86b60
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Aug 19 23:39:15 2017 +0200

    Add Ledger Nano S

 readers/Ledger_Nano_S.txt     | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 ++++-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit 44aab2ddbc6dea6125e9d8f407296957511039c1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Aug 5 16:02:31 2017 +0200

    Add SAFETRUST SABRE SCR

 readers/SAFETRUST_SABRE_SCR.txt | 81 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |  5 ++-
 2 files changed, 85 insertions(+), 1 deletion(-)

commit dd1ea045cacafe1d5d2b063be66a23ee858ffc14
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Jul 29 12:01:40 2017 +0200

    Add IIT E.Key Crystal-1

 readers/IIT_E.Key_Crystal-1.txt | 50 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |  3 ++-
 2 files changed, 52 insertions(+), 1 deletion(-)

commit 32deeb888d324c7d4056c23f60749efa17c1856c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 28 18:54:32 2017 +0200

    Firmware upgrade for 0x0BDA:0x0169
    
    "Generic" device.

 readers/iMONO.txt | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8d2bcc81fdd38abceb9a3b4a2c4b5b054a70c14c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 28 18:49:55 2017 +0200

    Add REINER SCT cyberJack one

 readers/ReinerSCT_cyberJack_one.txt | 56 +++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt       |  3 +-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit 643869e86d770222c0d48140e0fabef5ef4e4785
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jul 5 10:40:07 2017 +0200

    Enable Elatec TWN4/B1.06/CPF3.05/S1SC1.32/P (Beta 3)
    
    The reader has moved from the "disabled" to the "should work" list after
    patch in d5f2f893a0f513cdda0821c6dca7cdc337d54ba8

 readers/supported_readers.txt | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit d5f2f893a0f513cdda0821c6dca7cdc337d54ba8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jul 5 10:34:47 2017 +0200

    Improve support of ElatecTWN4_CCID reader
    
    The reader answers after up to 1 second when no card is present in the
    field. So a 100ms timeoutx was too short.
    
    Thanks to Elatec for the patch.

 src/ccid.c | 15 ++++++++++-----
 src/ccid.h |  3 ++-
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 3c0cacc5935282c35fe206b5ac91fd628605c3e5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 3 18:38:33 2017 +0200

    Add mCore SCard-Reader

 readers/mCore_SCard-Reader.txt | 64 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  5 +++-
 2 files changed, 68 insertions(+), 1 deletion(-)

commit 44f79e83bb26fe7b7fc38a36c2c02609b01b1581
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jun 28 20:09:53 2017 +0200

    Add Elatec TWN4/B1.06/CPF3.05/S1SC1.32/P (Beta 3)
    
    in the disabled list

 readers/Elatec_TWN4_MULTITECH.txt | 56 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt     |  5 +++-
 2 files changed, 60 insertions(+), 1 deletion(-)

commit 5763d30af330767f266b4897fe1b55152b4d3fa6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Jun 22 18:23:24 2017 +0200

    Add SafeNet eToken 5300

 readers/SafeNet_eToken_5300.txt | 97 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |  3 +-
 2 files changed, 99 insertions(+), 1 deletion(-)

commit e3cc4f94624db4d7b197ce1106280baedb6b3cf3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jun 12 18:40:37 2017 +0200

    Disable Jinmuyu Electronics Co., Ltd. MR800

 readers/Jinmuyu_Electronics_MR800.txt | 53 +++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt         |  5 +++-
 2 files changed, 57 insertions(+), 1 deletion(-)

commit a7dcbf296492f5056e1ba7abb8388531bb0a6708 (tag: ccid-1.4.27)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun May 21 14:41:20 2017 +0200

    Release 1.4.27
    
    Signed-off-by: Ludovic Rousseau <ludovic.rousseau@free.fr>

 README       | 29 +++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 30 insertions(+), 1 deletion(-)

commit 647fe54d8b66cabcd8bc13b68ae46fbc4bd05be5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed May 17 13:26:52 2017 +0200

    ccid_serial: reformat reader detection code
    
    The Microchip SEC 1210 does not support the command 0x02 (get firmware
    version):
    "03 06 6B 01 00 00 00 00 00 00 00 00 02 6D"
    returns
    frame: "83 00 00 00 00 00 00 41 00 00" - "Command not supported."
    
    The command 0x06 returns a result, even if I, and Fabio Araujo, don't
    know what this command does.
    "03 06 6B 01 00 00 00 00 00 00 00 00 06 69"
    we received
    frame: "83 01 00 00 00 00 00 01 00 00 22", "Everything OK."

 src/ccid_serial.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ec652d249dc81c647bf80d5d3c21665ef00c6d8b
Author: Fabio Araujo <fabio.araujo@transdatasmart.com.br>
Date:   Mon May 15 09:09:26 2017 -0300

    Add Microchip SEC1210 UART support.
    
    The Microchip SEC1210 can be connected on a serial port instead of USB.

 src/ccid.h         |  1 +
 src/ccid_serial.c  | 23 +++++++++++++++++++++++
 src/reader.conf.in |  1 +
 3 files changed, 25 insertions(+)

commit 582f882bd14b9a35f27348b0b80e571451a626b6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 5 20:03:58 2017 +0200

    Add MK Technology KeyPass S1

 readers/MK_Technology_KeyPass_S1.txt | 72 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        | 13 ++++---
 2 files changed, 80 insertions(+), 5 deletions(-)

commit 5eac48f6c7a62b3820b190536d5390efeecb09d4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 18 18:37:12 2017 +0200

    Add FT U2F CCID KB

 readers/FT_U2F_CCID_KB.txt    | 56 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  1 +
 2 files changed, 57 insertions(+)

commit f28ad399ec87a57efa06169599a7347f30df8a63
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 18 18:36:04 2017 +0200

    Upgrade FT_U2F_CCID.txt
    
    New firmware.

 readers/FT_U2F_CCID.txt       | 8 ++++----
 readers/supported_readers.txt | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 8f9a773149cf26aedc9beefb0bfabbd3213e4999
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 18 18:34:44 2017 +0200

    Rename FT_U2F_CCID.txt

 readers/{FT_U2F_CCID_KBOARD.txt => FT_U2F_CCID.txt} | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 0db790a5c6c5be9647fded4868e2d8b7bc99728d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 18 18:26:19 2017 +0200

    Add FT CCID

 readers/FT_CCID.txt           | 56 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  1 +
 2 files changed, 57 insertions(+)

commit e7a7784cb17527458a2bc96fa16129097b1bb7fa
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 18 18:24:50 2017 +0200

    Add FT CCID KB

 readers/FT_CCID_KB.txt        | 56 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 ++-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit af00591a4a3c437045cc9923f6477e6f2e467bf4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Apr 5 18:33:05 2017 +0200

    configure.ac: fix error message for SCardEstablishContext
    
    Do not specify a version any more. pcsc-lite 1.2.9-beta9 was released in
    February 2006.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c84acab1a27326edf5e833e94a25e5856e5726c1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Mar 31 17:39:34 2017 +0200

    Add InfoThink IT-102MU Reader

 readers/InfoThink_IT-102MU_Reader.txt | 310 ++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt         |   5 +-
 2 files changed, 314 insertions(+), 1 deletion(-)

commit 59380a8dd99357963b8842548131873d3427d6f9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Mar 23 15:06:36 2017 +0100

    scardcontrol: fix bmPINBlockString value
    
    The sample code uses a (default) maximum PIN size of 8 digits.
    
    bmPINBlockString is defined as "Defines the length in bytes of the PIN
    block to present in the APDU command" so shoudl also be 8.
    
    Thanks to Martin Elshuber for the bug report
    "[#315675] scardcontrol.c - bmPINBlockString - shouldn't it be 8?"
    https://alioth.debian.org/tracker/?func=detail&atid=410085&aid=315675&group_id=30105

 examples/scardcontrol.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f06f630ec4ce8502613fd18cffd28430478e8e1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Mar 22 20:17:24 2017 +0100

    Add ACS CryptoMate (T2)

 readers/ACS_CryptoMate_(T2).txt | 54 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |  3 ++-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit 7e20d8d978d92194e05ab5e6dd51a2d3415f4487
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Mar 21 18:26:51 2017 +0100

    ZLP: enable the patch only if --enable-zlp is used
    
    The Zero Length Packet patch has issues with some non-bogus readers. So
    the patch is _disabled_ by default.
    
    If your Gemalto reader suffer from the ZLP problem then recompile the CCID
    reader with:
    $ ./configure --enable-zlp

 configure.ac      | 9 +++++++++
 src/ccid.c        | 2 ++
 src/ccid.h        | 2 ++
 src/ccid_serial.c | 2 ++
 src/ccid_usb.c    | 4 ++++
 5 files changed, 19 insertions(+)

commit 0b557087017e27e13356a6455cad1e94b9620a00
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Jan 26 13:29:38 2017 +0100

    Add Zero Length Packet (ZLP) support for Gemalto IDBridge CT30 and K30
    
    The Gemalto IDBridge CT30 and IDBridge K30 readers may send a ZLP after
    some commands. Only the readers with firmware 2.00 have the problem.
    
    The solution is to use a short read before every USB write.
    This patch uses a timeout of 10 ms instead of 1 ms in the original patch.

 src/ccid.c        | 13 +++++++++++++
 src/ccid.h        |  5 +++++
 src/ccid_serial.c |  1 +
 src/ccid_usb.c    | 11 +++++++++++
 4 files changed, 30 insertions(+)

commit 467fe3681306ddcbb2fe131d370bf096e2ebf0e8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Mar 21 18:12:46 2017 +0100

    Add Kapsch TrafficCom USB SAM reader

 readers/Kapsch_TrafficCom_USB_SAM_reader.txt | 45 ++++++++++++++++++++++++++++
 readers/supported_readers.txt                |  5 +++-
 2 files changed, 49 insertions(+), 1 deletion(-)

commit 7a6f5af88a462ce3734a947734fda8e6b449e2ab
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Mar 17 18:22:33 2017 +0100

    Add ACS ACR1255U-J1

 readers/ACS_ACR1255U-J1.txt   | 48 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 ++-
 2 files changed, 50 insertions(+), 1 deletion(-)

commit 2866e535d1bf01909b42d53fe8a29e827e5982d4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Mar 16 21:42:58 2017 +0100

    Add ANCUD CCID USB Reader & RNG

 readers/ANCUD_CCID_USB_Reader_RNG.txt | 52 +++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt         |  5 +++-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit 120d81d2c4e4ca28889b352476cabf1f0884792a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Mar 14 20:44:49 2017 +0100

    Add Spyrus Inc PocketVault P-3X

 readers/Spyrus_PocketVault_P-3X.txt | 49 +++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt       |  5 +++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit b59ba6321c9dcafae2cb153ce3c8bee6d31b39f1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Mar 11 11:57:05 2017 +0100

    Add HID Global OMNIKEY 5422 Smartcard Reader

 readers/HID_OMNIKEY_5422.txt  | 322 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   3 +-
 2 files changed, 324 insertions(+), 1 deletion(-)

commit b3f88d9596c6379f11e52119d931876539e012df
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Mar 10 18:22:33 2017 +0100

    Add support of HID Omnikey 5422 as multi slot
    
    The HID Omnikey 5422 device is a composite device with 2 CCID
    interfaces.
    This device can be seen as a multi-slot device if
    USE_COMPOSITE_AS_MULTISLOT is used.

 src/ccid.h       |  1 +
 src/ccid_usb.c   | 13 ++++++++++++-
 src/ifdhandler.c |  6 +++++-
 3 files changed, 18 insertions(+), 2 deletions(-)

commit 4349e40dd8c2e37a19f2b85b59b98b4ec584695e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Mar 10 17:58:55 2017 +0100

    OpenUSBByName(): simplify USE_COMPOSITE_AS_MULTISLOT code
    
    The code do not hardcode the interface number of the first CCID interface.
    The first CCID interface found will be used on the first call.
    
    The code to reset the interface number for the next reader is then much
    simpler: set to -1.

 src/ccid_usb.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit b15c8f96ca80005c3da024c031e9607051a9fe1a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Feb 28 16:46:20 2017 +0100

    CmdEscapeCheck(): signals buffer overflow
    
    If the RxBuffer[] buffer is too small to contain the reader response
    then IFD_ERROR_INSUFFICIENT_BUFFER is returned.
    
    Before the patch the returned buffer was silently truncated and
    IFD_SUCCESS was returned.
    
    Thanks to Maximilian Stein for the bug report
    "[Pcsclite-muscle] libccid IFDHControl() / CmdEscape() might truncate reader response"
    http://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20170213/000816.html

 src/commands.c | 3 +++
 1 file changed, 3 insertions(+)

commit 8c57dcc5f73009359dcdaa0decba7f703172e9df
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Feb 16 17:14:14 2017 +0100

    OpenUSBByName(): the device bus & addr must match
    
    Patch similar to 8b9f6f33b16e808a5769dbc4193e5f107a09a693 but for
    libusb-1.0 instead of libudev.
    
    "In Linux, before this change, if there were multiple card readers of
    the same model connected, a new Reader could be initialized by opening
    the wrong USB device."
    
    Thanks to Maximilian Stein for the patch
    "[Pcsclite-muscle] Apply fix "OpenUSBByName(): the device bus & addr
    must match" (8b9f6f33) for libusb"
    https://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20170213/000812.html

 src/ccid_usb.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit bf2b3f73c051e15be6bc5563766bb74c7dd66dcc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Feb 15 16:05:16 2017 +0100

    Makefile.am: do not display udev message in red
    
    The src/92_pcscd_ccid.rules file is not mandatory since pcscd is started
    by systemd (pcsc-lite 1.8.0, November 2011).
    
    This udev file is now only used to enable selective suspend.

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7adceca5bfe2a5bd64163f9fac784ae323bf50a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Feb 1 09:27:29 2017 +0100

    Add Morpho ypsID Key E in the Disabled list
    
    This device is not a real CCID device. You need to patch my CCID driver.
    Contact Morpho for support.

 readers/Morpho_ypsID_Key_E.txt | 49 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  5 ++++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 3aff5f95ce6efc8d7f76f4194f4098e1da4638d0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Jan 28 17:28:25 2017 +0100

    Add FT U2F CCID KBOARD

 readers/FT_U2F_CCID_KBOARD.txt | 56 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  3 ++-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit 980e2afbeb2ec2b5daabb1b02dc4c58e6bd2d0cb
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Jan 21 15:42:11 2017 +0100

    Add Regula RFID Reader

 readers/Regula_RFID_Reader.txt | 50 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  | 13 ++++++-----
 2 files changed, 58 insertions(+), 5 deletions(-)

commit cd1e76fa4ff44aa6f4240fa8990e78328b443a05
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jan 18 18:56:08 2017 +0100

    ccid_usb.c: document CCID composite devices
    
    Document how the Gemalto Prox-DU/SU and Feitian R502 devices are
    architectured. These devices are composite CCID devices (2 or 3 CCID
    devices in the same USB device) and are simulated as a multi slot reader
    if USE_COMPOSITE_AS_MULTISLOT is defined (macOS for example).

 src/ccid_usb.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit fef7e851b81897d4e44fb887708daf4ca988de5b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jan 18 17:40:48 2017 +0100

    scardcontrol.c: remove extra space at end of line

 examples/scardcontrol.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 627f356e8800144f2661069de92195efcc7f2637
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 17 18:34:21 2017 +0100

    Add Mulann PVT

 readers/Mulann_PVT.txt        | 104 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   5 +-
 2 files changed, 108 insertions(+), 1 deletion(-)

commit e5697f33cc8dfa89d562c8abf859024bfe9e95a8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Jan 12 17:32:54 2017 +0100

    InterruptRead(): return a valid IFDHandler code
    
    If libusb reports an error then return IFD_COMMUNICATION_ERROR instead
    of the libusb error code.
    
    That should not be a problem since pcsc-lite only check for the value
    IFD_SUCCESS and anything else, including a libusb error code, is an error.

 src/ccid_usb.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 09025bb4044f7992d9ad70483086a8c63d4d54d2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jan 11 16:58:55 2017 +0100

    Add Unicept GmbH AirID USB

 readers/Unicept_AirID_USB.txt | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 ++++-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit 167dfa6b578ab8bebfff076cfbb7336a2a8b7621
Author: Petr Vaněk <arkamar@atlas.cz>
Date:   Tue Jan 10 15:00:06 2017 +0100

    README: fix typos

 README | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 52f796f6e6882ae9791d5c578956f0077a8eb848
Author: Petr Vaněk <arkamar@atlas.cz>
Date:   Tue Jan 10 15:00:05 2017 +0100

    README: fix links for USB CCID and ICCD documentation

 README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b5870d85d891fab0445d8b9b1a150de1c44c2b33
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 10 17:55:09 2017 +0100

    OMNIKEY 5321 CLi USB is NOT supported
    
    This reader is contactless only and is NOT A CCID DEVICE.

 readers/OMNIKEY_5321_CLi_USB.txt | 172 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |   5 +-
 2 files changed, 176 insertions(+), 1 deletion(-)

commit 569b257d64ccd50c6e6b60a2e74549e07c87d7dd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jan 9 10:27:36 2017 +0100

    Add DUALi DE-620 Combi

 readers/DUALi_DE-620_Combi.txt | 59 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  3 ++-
 2 files changed, 61 insertions(+), 1 deletion(-)

commit a421896644f6439a453fb313a8c3efaa8b7cbcc5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Jan 7 16:04:17 2017 +0100

    README: remove extra line

 README | 1 -
 1 file changed, 1 deletion(-)

commit 666a72c342f433fda1b77ff815fdfe728afc3ce7 (tag: ccid-1.4.26)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Jan 7 15:44:45 2017 +0100

    Release 1.4.26

 README       | 19 +++++++++++++++++--
 configure.ac |  2 +-
 2 files changed, 18 insertions(+), 3 deletions(-)

commit 7f71007a47f77620b2ed50c9298c94fe01b6aaf1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jan 6 18:55:20 2017 +0100

    Add appidkey GmbH ID60-USB

 readers/appidkey_ID60-USB.txt | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  1 +
 2 files changed, 52 insertions(+)

commit 62756a636c6991d9c9c36f01923823e7230de732
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jan 6 18:50:55 2017 +0100

    Update appidkey ID100L-USB-SC-Reader firmware

 readers/appidkey_ID100-USB_SC_Reader.txt | 4 ++--
 readers/supported_readers.txt            | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit e05426c6c426fc46ef18c7bd17cfb7ad74cabd1c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jan 4 13:41:34 2017 +0100

    FreeChannel(): release reader_index only after use
    
    Call ReleaseReaderIndex() to free the reader_index only after it is no
    more used.
    
    It was not problematic since the complete code block is protected by the
    ifdh_context_mutex, but this may change.

 src/ifdhandler.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d1a15209f818b5de139d691841e56613bbca9727
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jan 4 13:34:41 2017 +0100

    ifdhandler: only GetNewReaderIndex() has to be thread protected
    
    Once a new reader_index has been attribuyed the functions are thread
    safe. Only the call to GetNewReaderIndex() need to be protected.
    
    The mutex was introduced in 8c6ed32fa1649a3648eb768d7c692e0e1e67f2ed
    "add support of thread safe (APDU multiplexing on different readers)" in
    September 2003 and, at that time, GetNewReaderIndex() was not yet used
    or implemented.

 src/ifdhandler.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit eea7b5835a7b91cb26d52bf3b9548afc322e83d9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Dec 16 10:35:35 2016 +0100

    MacOSX/configure: check for UB only on Mavericks and less
    
    On Yosemite (10.10) and later we will provide only a 64-bit driver.
    So no need to check if a Universal Binary libusb is available.
    
    Support of 32-bits computers has been droped with Lion 10.7.

 MacOSX/configure | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit 3a7f9b26418991ffff10fc61a8c56ddccbc901aa
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Dec 16 10:30:16 2016 +0100

    MacOSX/configure: move definition of MAC_VERSION
    
    MAC_VERSION can now be used by the code checking Universal Binary.

 MacOSX/configure | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 2811a89260bbc4dfabd91dc87c2de991257df755
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Dec 16 10:22:21 2016 +0100

    MacOSX/configure: check static libusb will be used
    
    If a _dynamic_ version of libusb is present then it will be used by the
    linker. This is problematic since we want to use the _static_ version of
    libusb to avoid an external dependency.

 MacOSX/configure | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit f66d361b0ad8346c68afb2e6351e7d1e444d561b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Dec 16 09:37:17 2016 +0100

    MacOSX/configure: remove reference to libusbx
    
    libusbx is a dead project and has been replaced by libusb.

 MacOSX/configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f89a002a05b2576159e035b368feff3e34d5452
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Dec 3 14:56:13 2016 +0100

    Add Bit4id Digital DNA Key

 readers/Bit4id_Digital_DNA_Key.txt | 54 ++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt      |  1 +
 2 files changed, 55 insertions(+)

commit 80f7c5300871c91639b3d50cb4b62e73bf7fce75
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Dec 3 14:52:56 2016 +0100

    Add Bit4id tokenME FIPS v3

 readers/Bit4id_tokenME_FIPS_v3.txt | 54 ++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt      |  3 ++-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit 683dd88400cece36da222f93bfa385624c473e52
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 18 17:50:28 2016 +0100

    HID OMNIKEY 5021 CL is NOT supported
    
    This reader is contactless only and is NOT A CCID DEVICE.

 readers/HID_5021_CL.txt       | 510 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   5 +-
 2 files changed, 514 insertions(+), 1 deletion(-)

commit 05902a01bd9cdcd5a3eab8523d8dc5b85e86bac2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Oct 22 22:12:55 2016 +0200

    Add INGENICO Leo

 readers/Ingenico_Leo.txt      | 76 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 ++-
 2 files changed, 80 insertions(+), 1 deletion(-)

commit 9ed43b008894ad6984a06400aec4bb2c9b87bce2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 13 11:42:03 2016 +0200

    INSTALL: update documentation for serial readers
    
    - Update the documentation
    - add a reference about the IDBridge CR30 that should use the
      "GemCoreSIMPro2" configuration argument.

 INSTALL | 35 ++++++++++++++++++++++-------------
 1 file changed, 22 insertions(+), 13 deletions(-)

commit 33888a88cdcdf16e98c3d0d42593ebc743719e11
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Oct 5 14:57:42 2016 +0200

    Negociate maximum baud rate when bNumDataRatesSupported = 0
    
    From CCID 1.1 page 18:
    " bNumDataRatesSupported
    The number of data rates that are supported by the CCID.
    If the value is 00h, all data rates between the default data rate
    dwDataRate and the maximum data rate dwMaxDataRate are supported. "
    
    Before, if the card baud rate was greater than the reader dwMaxDataRate
    then the driver used the default (lowest) baud rate.
    
    Now the driver tries to find the maximal baud rate supported by both the
    card and the driver.
    
    The algorithm was already used when the reader reports a baud rate list
    but not when the reader reports bNumDataRatesSupported = 0.
    
    Thanks to Abraham Macías Paredes for the bug report
    "[Pcsclite-muscle] Bug in CCID library"
    https://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20161003/000729.html
    
    Thanks to Godfrey Chung for the patch idea
    "Fix the optimal baud rate problem in IFDHSetProtocolParameters()."
    https://github.com/acshk/acsccid/commit/4a7631d014781d36a2d21210b0b8768c07ef8c6d

 src/ifdhandler.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 097436681d554999d125b9fe56bb4a5194a36f92
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 4 15:29:56 2016 +0200

    PowerOn: default value comes from Info.plist
    
    The value set in ifdhandler.c is always overwritten by the value
    extracted from the Info.plist file in init_driver().
    
    The change in ea7bedd2b3d30a884f43544c44f87ef779f011ef was useless and
    had no effect.
    
    Since the default value of ifdDriverOptions for voltage selection is
    0x00 the first voltage used is 5V.

 src/ifdhandler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df1173ee2f33ca0cf79090e4eb817b24a15c2d00
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 4 15:05:40 2016 +0200

    PowerOn: always try every possible voltage values
    
    The default voltage value is 5V.
    It is possible to change the driver configuration (ifdDriverOptions in
    Info.plist) to start at 1.8V or 3V.
    
    The algorithms was to try:
    5V then fail (default)
    3V then 5V then fail
    1.8V then 3V then 5V then fail
    
    Some cards do not support 5V (like the Coolkey cards, see "Coolkey cards
    do not work in Fedora" https://bugzilla.redhat.com/show_bug.cgi?id=1380615)
    It is possible to change the driver configuration to start at 3V or 1.8V
    but then for cards that work only at 5V we will have 1 or 2 PowerOn
    commands in error before the card returns the ATR.
    
    I made some tests and the SCardConnect() call can take 0.110129 ms when
    starting at 5V and 0.216057 ms when starting at 1.8V and errors for 1.8V
    and 3V. That is "speed" factor of x1.96.
    
    00000005 ifdhandler.c:1146:IFDHPowerICC() action: PowerUp,
    usb:08e6/3437:libudev:0:/dev/bus/usb/001/041 (lun: 0)
    00000007 -> 000000 62 00 00 00 00 00 08 03 00 00
    00054697 <- 000000 80 00 00 00 00 00 08 41 FE 00
    00000014 commands.c:249:CmdPowerOn Card absent or mute
    00000005 commands.c:278:CmdPowerOn() Power up with 1.8V failed. Try with 3V.
    00000006 -> 000000 62 00 00 00 00 00 09 02 00 00
    00054723 <- 000000 80 00 00 00 00 00 09 41 FE 00
    00000015 commands.c:249:CmdPowerOn Card absent or mute
    00000004 commands.c:278:CmdPowerOn() Power up with 3V failed. Try with 5V.
    00000006 -> 000000 62 00 00 00 00 00 0A 01 00 00
    00037738 <- 000000 80 0C 00 00 00 00 0A 00 00 00 3B 29 00 80 72 A4 45 64 00 00 87 14
    
    The idea is to change the algotithm to start at 5V as that is the
    standard voltage for a smart card (according to my card collection) but
    be able to continue with 1.8V and 3V is power on failed at 5V.
    
    The default algorithm is now 5V then 1.8V then 3V then fail.
    
    It is still possible to change the initial voltage. Now, in any case, all
    the values are tried before failing.
    Other possible values are:
    1.8V then 3V then 5V then fail
    3V then 5V then 1.8V then fail
    
    Thanks to Robert Relyea for the patch, used by RedHat since 2013.
    https://git.centos.org/commitdiff/rpms!pcsc-lite-ccid/3dd85f55c8aacfa0704849e7b6cf46d4970b747b

 src/Info.plist.src |  4 ++--
 src/ccid.h         | 11 +++--------
 src/commands.c     | 15 ++++++++++++---
 3 files changed, 17 insertions(+), 13 deletions(-)

commit a0815cfa7b70d96ae4b793285b92b70f2b95a487
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 4 14:56:45 2016 +0200

    PowerOn: move from 1.8V to 5V if 1.8V is not supported
    
    If the reader does not support 1.8V we do not move to auto but to 5V and
    check that 5V is supported by the reader.
    The reader may not support Automatic Voltage Selection and may not
    support 1.8V either.

 src/commands.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ea7bedd2b3d30a884f43544c44f87ef779f011ef
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Oct 3 11:50:24 2016 +0200

    PowerOn: change default voltage strategy
    
    The CCID 1.1 indicates page 105 in ch. "9.3 Voltage management" that the
    driver should use growing voltage when supported by the reader.
    
    So the default is now to use the sequence 1.8V, 3V and 5V.
    
    ISO 7816-3 is not clear about this point. No specific order is given in
    ch. 6.2.4 "Class selection" of ISO/IEC 7816-3:2006(E).
    
    This change should fix RedHat bug 1380615 "Coolkey cards do not work in
    Fedora" and avoid the RedHat only patch described in RedHat bug 1033788
    "Safenet SC650 smart cards are not detected"
    
    The RedHat patch is
    https://git.centos.org/blob/rpms!pcsc-lite-ccid/3dd85f55c8aacfa0704849e7b6cf46d4970b747b/SOURCES!ccid-1.4.10-voltage.patch

 src/ccid.h       | 7 ++++++-
 src/ifdhandler.c | 2 +-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 84966dfaae8c37702512774c5e4d510998b0e8b2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Oct 3 11:37:25 2016 +0200

    PowerOn: use automatic voltage selection when needed
    
    CCID standard 1.1, page 26, ch 6.1.1 PC_to_RDR_IccPowerOn
    " For a CCID which features “automatic activation of ICC on inserting”,
    the bPowerSelect field must be 00h (Automatic Voltage Selection) in the
    first PC_to_RDR_IccPowerOn message received for a slot which was
    previously inactive. "

 src/ccid.h     | 1 +
 src/commands.c | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 64d6ed4a0c6196108f1044ccfd080fbdd9da62ae
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Sep 30 10:48:43 2016 +0200

    Fix spelling in log message

 src/ifdhandler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3da71e26b368b39814618a83c2fc64e492941dc4 (tag: ccid-1.4.25)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Sep 30 10:36:54 2016 +0200

    Release 1.4.25

 README       | 21 +++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 22 insertions(+), 1 deletion(-)

commit 4fc7bcf1f3e70ee436d1a8cdde3e0474284d9fb3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Sep 29 22:08:54 2016 +0200

    Add/disable Precise Biometrics Precise 200 MC Upgrade
    
    The reader is added in the "Disabled CCID readers" list

 readers/Precise_200_MC_Upgrade.txt | 52 ++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt      |  5 +++-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit f0a26a9b17b9c94d7b87124a6d0a0c824ae9d561
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Aug 23 14:45:01 2016 +0200

    Remove extra spaces
    
    A space character before a tabulation characteri is not needed.

 src/towitoko/atr.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3675760e70d28648972e96060213150e63fd9101
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Aug 3 16:45:17 2016 +0200

    Add Gemalto K50
    
    This device has the same idProduct 0x3437 as the Gemalto IDBridge CT30
    and Gemalto PC Twin Reader.
    This device should then be usable since CCID 0.1.0 (August 2003)

 readers/Gemalto_K50.txt       | 103 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   1 +
 2 files changed, 104 insertions(+)

commit ec413e5b6b93ee066280ceeaea095ee80ffd261f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Aug 3 16:31:31 2016 +0200

    Add Broadcom Corp 5880 (idProduct: 0x5834)

 readers/Broadcom_5880_0x5834.txt | 106 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |   1 +
 2 files changed, 107 insertions(+)

commit 297ab15f4e9ecb6130f826de3bed1b5536d895ed
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Aug 3 16:29:38 2016 +0200

    Add Broadcom Corp 5880 (idProduct: 0x5833)

 readers/Broadcom_5880_0x5833.txt | 54 ++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |  1 +
 2 files changed, 55 insertions(+)

commit 7211ce71b1bb0866efc2dad6eba7058743f7eed7
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Aug 3 16:24:37 2016 +0200

    Add Broadcom Corp 5880 (idProduct: 0x5832)

 readers/Broadcom_5880_0x5832.txt | 106 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |   3 +-
 2 files changed, 108 insertions(+), 1 deletion(-)

commit d144044621ded81d21bb59f7452676d969fb27e6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 31 15:49:37 2016 +0200

    supported_readers.txt: remove extra duplicates
    
    generate_supported_readers.py no more generate useless duplicates for
    composite devices.

 readers/supported_readers.txt | 56 -------------------------------------------
 1 file changed, 56 deletions(-)

commit 6bb10bb145878989db5c0318421ecdf2405b5f83
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 31 15:47:10 2016 +0200

    Add Feitian VR504 VHBR Contactless & Contact Card Reader

 readers/Feitian_vR504.txt     | 120 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   4 ++
 2 files changed, 124 insertions(+)

commit 2c72558784abb88c7dc00369e8032b5b9377d7a7
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 31 15:18:19 2016 +0200

    Add Feitian bR500

 readers/Feitian_bR500.txt     | 76 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  1 +
 2 files changed, 77 insertions(+)

commit 4f3e5748ec467ef9e5a2f567f492a1d6754f59a1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 31 14:08:04 2016 +0200

    New firmware for Feitian_R502-CL.txt

 readers/Feitian_R502-CL.txt | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit e56e6c38e717bac8bdc32a585717a6d86b7909a4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 31 14:05:02 2016 +0200

    New firmware for Feitian_R502.txt

 readers/Feitian_R502.txt      | 92 +++++++++++++++++++++++++++++++++++--------
 readers/supported_readers.txt |  1 +
 2 files changed, 77 insertions(+), 16 deletions(-)

commit b7e8564a58386456b0aa4320f8de6563ab57d880
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 31 14:02:15 2016 +0200

    Firmware update for Feitian_SCR301.txt

 readers/Feitian_SCR301.txt | 56 +++++++++++++++++++++++++---------------------
 1 file changed, 31 insertions(+), 25 deletions(-)

commit 706ad62ef036a3d5a5a0eff9709db8a767e975ce
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 31 13:59:44 2016 +0200

    New firmware version for Feitian_bR301_BLE.txt

 readers/Feitian_bR301_BLE.txt | 16 +++++++++-------
 readers/supported_readers.txt |  2 +-
 2 files changed, 10 insertions(+), 8 deletions(-)

commit 65553b4facf097fbfa674daf7ee5f886d72885f0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 31 13:40:45 2016 +0200

    Add Aladdin R.D. JaCarta (idProduct: 0x0402)

 readers/Aladdin_R.D._JaCarta2.txt | 47 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt     |  3 ++-
 2 files changed, 49 insertions(+), 1 deletion(-)

commit 7916c4b3ca3be3037c2d74f6d42db59af7058843
Author: Godfrey Chung <godfrey.chung@acs.com.hk>
Date:   Tue Jul 5 16:17:52 2016 +0800

    create_Info_plist.pl: fix typos in comment
    
    Infor.plist -> Info.plist
    suported -> supported

 src/create_Info_plist.pl | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e6a7548623f35d428f9f410f4b885fd04e34070a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 3 18:40:52 2016 +0200

    Move Broadcom Corp 5880 0x5800 in unsupported
    
    Frames bigger than 64 bytes (wMaxPacketSize) fails on the contact reader
    with:
    00000002 commands.c:1740:CmdXfrBlockTPDU_T0() T=0: 5 bytes
    00000003 -> 000000 6F 05 00 00 00 00 17 00 00 00 00 C0 00 00 BA
    00014454 <- 000000 80 BC 00 00 00 00 17 00 00 00 A0 00 00 00 79 03 02 40
    70 50 72 47 67 00 ED CB C7 00 ED CB C7 21 21 A0 00 00 00 79 01 02 00 01
    00 00 00 00 00 00 00 A0 00 00 00 79 01 02 01 01 00 00 00 00 00 00
    00000013 commands.c:1551:CCID_Receive() Can't read all data (54 out of
    188 expected)
    
    See https://bugs.launchpad.net/ubuntu/+source/pcsc-lite/+bug/1596662
    
    The problem is similar to Broadcom_5880_0x5805.txt that also moved in
    the unsupported list.

 readers/supported_readers.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f68054ce81aa10ec60adf9a92c66dca64bdd415
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jul 3 15:34:29 2016 +0200

    Move Broadcom Corp 5880 0x5805 in unsupported
    
    The Broadcom Corp 5880 with productID 0x5805 has some serious issues.
    
    The contact interface of the reader is bogus.
    Frames bigger than 64 bytes (wMaxPacketSize) fails on the contact reader
    with:
    00000006 commands.c:1740:CmdXfrBlockTPDU_T0() T=0: 5 bytes
    00000011 -> 000000 6F 05 00 00 00 00 5A 00 00 00 80 34 01 00 00
    00345316 <- 000000 80 02 01 00 00 00 5A 00 00 00 00 01 02 03 04 05 06
    07 08 09 0A 0B 0C 0D 0E 0F 10 11 12 13 14 15 16 17 18 19 1A 1B 1C 1D 1E
    1F 20 21 22 23 24 25 26 27 28 29 2A 2B 2C 2D 2E 2F 30 31 32 33 34 35
    00000095 commands.c:1551:CCID_Receive() Can't read all data (54 out of
    258 expected)
    
    The reader _MAY_ work with a T=1 card since it is in TPDU.
    
    This reader is present in Dell Latitude serie 5000 laptops.

 readers/supported_readers.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 105a9672ed0a2cee88e977ec8a63e1f55af1d625
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 1 17:42:18 2016 +0200

    Move KEBTechnology KONA USB SmartCard in unsupported
    
    Move from "should work" to "unsupported" list.
    
    The tokend fails to send the first APDU. Maybe the support of Character
    level is bogus in the CCID driver.
    
    Trace example at
    https://anonscm.debian.org/cgit/pcsclite/CCID.git/commit/?id=05e86c6d5ac7db2cc5a184a52d33b403575c848e

 readers/supported_readers.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6fe851996a1ebd4691fa7bb427c42b456b6c2623
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 1 11:01:06 2016 +0200

    scardcontrol: initialize the bRecvBuffer buffer
    
    Fill the bRecvBuffer receiving buffer with the "magic" value 0xAA to
    detect what part of the buffer is filled by the reader.

 examples/scardcontrol.c | 2 ++
 1 file changed, 2 insertions(+)

commit 38d8ff72eb2f92bcf5ba2daa9074b24fb887973e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 1 10:58:35 2016 +0200

    scardcontrol: improve outout for change Pin
    
    For the change PIN sequence we print a new line for non-keyboard pinpad
    so that the output is nicer.

 examples/scardcontrol.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit d346df1f4e5262f766b320450fa899126934ed77
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 28 18:31:43 2016 +0200

    Rename "ESMART Token GOST"

 readers/supported_readers.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 05e86c6d5ac7db2cc5a184a52d33b403575c848e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 28 15:28:37 2016 +0200

    CmdXfrBlockCHAR_T0: returns an error when needed
    
    If an "Unrecognized Procedure byte" is found then the driver returns
    with the error IFD_COMMUNICATION_ERROR instead of no error.
    
    Example of problematic trace with a "KEBTechnology KONA USB SmartCard":
    
    00000018 winscard.c:1618:SCardTransmit() Send Protocol: T=0
    00000016 APDU: 00 00 00 00
    00000015 ifdhandler.c:1295:IFDHTransmitToICC() usb:04cc/5072:libudev:0:/dev/bus/usb/003/073 (lun: 0)
    00000024 commands.c:1997:CmdXfrBlockCHAR_T0() T=0: 4 bytes
    00000015 commands.c:1324:CCID_Transmit() chain parameter: 1
    00000014 ccid_usb.c:1191:ControlUSB() request: 0x65
    00000014 send: 00 00 00 00 00
    00000926 ccid_usb.c:1191:ControlUSB() request: 0x6F
    00000724 receive: 00 00
    00000036 commands.c:2192:CmdXfrBlockCHAR_T0() Unrecognized Procedure byte (0x24) found!
    00000016 SW:
    00000013 winscard.c:1663:SCardTransmit() UnrefReader() count was: 2

 src/commands.c | 1 +
 1 file changed, 1 insertion(+)

commit 3816150f3e2bf4e9ce3afca2478653dfcdad0ce4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jun 27 10:47:33 2016 +0200

    Fix crash with GemCore Pos Pro and GemCore Sim Pro
    
    The buffer .ccid.arrayOfSupportedDataRates is freed by free() in
    CloseUSB().
    So it must be allocated by malloc() and not just reference a static
    memory buffer.
    
    The crash occured when CloseUSB() called free() on reader disconnection:
    [Thread 0x7fffe7fff700 (LWP 4050) exited]
    *** Error in `.../PCSC/src/pcscd': free(): invalid pointer: 0x00007ffff61f54c0 ***
    
    Program received signal SIGABRT, Aborted.
    [Switching to Thread 0x7ffff69f7700 (LWP 4021)]
    0x00007ffff722e067 in __GI_raise (sig=sig@entry=6)
        at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
    56      ../nptl/sysdeps/unix/sysv/linux/raise.c: Aucun fichier ou dossier de ce type.
    (gdb) bt
        at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        fmt=fmt@entry=0x7ffff7361530 "*** Error in `%s': %s: 0x%s ***\n")
        at ../sysdeps/posix/libc_fatal.c:175
        str=0x7ffff735d646 "free(): invalid pointer", ptr=<optimized out>)
        at malloc.c:4996
        have_lock=0) at malloc.c:3840
        at ccid_usb.c:913
        at ifdwrapper.c:190
        rContext=rContext@entry=0x61e2d0) at readerfactory.c:1134
        at readerfactory.c:632
        at readerfactory.c:119
        readerName=0x7ffff00024b0 "Gemalto GemCore SIM Pro Smart Card Reader",
        port=2097152) at readerfactory.c:608
        at hotplug_libudev.c:362
        at pthread_create.c:309
        at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 src/ccid_serial.c | 13 ++++++++++++-
 src/ccid_usb.c    | 11 ++++++++++-
 2 files changed, 22 insertions(+), 2 deletions(-)

commit ab374afe54dd5c0d97dad93df6cca27b8c527ccf
Author: Godfrey Chung <godfrey.chung@acs.com.hk>
Date:   Mon Jun 27 11:34:44 2016 +0800

    Add missing openct/README in distribution
    
    The file openct/README was not included in the generated .tar.bz2
    archive.
    This file is only used for information and documentation.
    
    Thanks to Godfrey Chung for the bug report
    https://github.com/LudovicRousseau/CCID/pull/20

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5edb61353e4a99313f670743e351abc26d561c14
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jun 26 11:05:11 2016 +0200

    Add ESMART Token GOST X2 ET1020-A

 readers/ISBC_ESMART_reader.txt | 62 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  5 +++-
 2 files changed, 66 insertions(+), 1 deletion(-)

commit 8ea1815745692c38e1c07fc8d460aae85efe123a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jun 24 10:02:24 2016 +0200

    Fix spelling error in a log message
    
    The Correct spelling is: successful
    
    Thanks to lintian(1) for the bug report
    I: libacsccid1: spelling-error-in-binary usr/lib/pcsc/drivers/ifd-acsccid.bundle/Contents/Linux/libacsccid.so successfull successful

 src/ccid.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6123a4cc07a2c5b980021c70b89f02da96ee855a
Author: Godfrey Chung <godfrey.chung@acs.com.hk>
Date:   Wed Jun 22 10:46:37 2016 +0800

    Fix fake composite device code to use a fixed order
    
    The value static_interface shall be incremented only for composite devices.
    Otherwise any other reader would increase the value and the next
    composite reader connected will have its interfaces enumerated in a
    different order.
    
    The problem occurs only on Mac OS X (pcscd) that still does not support
    composite CCID devices. The CCID driver has to be configured with
    --enable-composite-as-multislot and composite CCID devices are
    "emulated" as a multi-slot device.
    
    Thanks to Godfrey Chung for the patch
    https://github.com/LudovicRousseau/CCID/pull/19

 src/ccid_usb.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 32c8a429a2654e16a195ba42f5a9bbf18f34d87b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jun 17 22:09:01 2016 +0200

    log_msg(): log up to 3 lines of 80 characters
    
    The log of the CCID driver license was truncated. It is now possible to
    log up to 3 * 80 = 240 characters instead of 2 * 80 = 160.
    
    The problem is only present on Mac OS X and other systems (Android)
    where the log is not done by pcscd.
    pcscd has a limit of 2048 bytes and does not have this problem.
    
    Thanks to Maksim Ivanov for the bug report.
    "[Pcsclite-muscle] Small fix suggestion for CCID (logging issue)"
    https://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20160613/000634.html

 src/debug.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bfb75dd02f8a1ca9f8ebbd86658819d2721416cb
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Jun 9 21:10:59 2016 +0200

    Add appidkey GmbH ID50 -USB

 readers/appidkey_ID50-USB.txt | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  1 +
 2 files changed, 52 insertions(+)

commit ec94d1fa6beebfdb39a2f81c20a54bded01e28db
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Jun 9 21:07:10 2016 +0200

    Add appidkey GmbH ID100-USB  SC Reader

 readers/appidkey_ID100-USB_SC_Reader.txt | 51 ++++++++++++++++++++++++++++++++
 readers/supported_readers.txt            |  5 +++-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit 6ed3a9f1ccf024d9101c87219d7b1850992ff9bb
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jun 6 18:59:18 2016 +0200

    Resync PCSC and contrib_libPCSCv2part10 modules
    
    Benefit from the configfile.l: Fix issue on SunOS

 PCSC                    | 2 +-
 contrib_libPCSCv2part10 | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 24f8659452bfb5d2a357bfca3e99c3fceef16bd3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 28 20:38:31 2016 +0200

    Add Broadcom Corp 5880 with ProductID 0x5805

 readers/Broadcom_5880_0x5805.txt | 106 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |   6 ++-
 2 files changed, 111 insertions(+), 1 deletion(-)

commit 1808d28d196a1c45b9d846aa7aab5123fe062706
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun May 22 18:08:19 2016 +0200

    README: add G&D StarSign CUT S in release 1.4.24
    
    I forgot to add this reader in the changes.

 README | 1 +
 1 file changed, 1 insertion(+)

commit a1197c49cee479f4187dfd05c900224b99127e17 (tag: ccid-1.4.24)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun May 22 17:07:03 2016 +0200

    Release 1.4.24

 README       | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit b4c2cae5f311eef313777124937520c780d002fd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 20 15:19:05 2016 +0200

    IFDHGetCapabilities: fix SCARD_ATTR_VENDOR_IFD_SERIAL_NO size
    
    We use strlcpy() to copy the IFD (reader) serial number string. So we
    must must take into account the terminating NUL byte.
    
    Without the patch the size was "correctly" reported on the first call
    (without including the final NUL byte). So the application allocates a
    buffer for this size and the next strlcpy() tuncates the string to add
    the NUL byte.
    
    Thanks to Daniel Kucera for the bug report.

 src/ifdhandler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5eaa22bbaac16ca3e20e49418c37291ac128c3ad
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu May 19 21:16:48 2016 +0200

    Add Giesecke & Devrient GmbH StarSign CUT S

 readers/GnD_StarSign_CUT_S.txt | 56 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |  1 +
 2 files changed, 57 insertions(+)

commit b3eedaf7873e5438f5f2e8b163b2c0362099e318
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu May 19 20:56:13 2016 +0200

    Add Generic USB Smart Card Reader
    
    This reader is the same as the "HID AVIATOR Generic" except that it
    supports "Short and Extended APDU level exchange" instead of "Short APDU
    level exchange".

 readers/Generic_USB_Smart_Card_Reader.txt | 161 ++++++++++++++++++++++++++++++
 readers/supported_readers.txt             |   9 +-
 2 files changed, 168 insertions(+), 2 deletions(-)

commit e039760f0ab57a0e66e2f6dabebfdf6ba3134b14
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon May 9 10:05:45 2016 +0200

    Fix support of HID Aviator generic
    
    This reader firmware is bogus:
    - it declares pinpad support but as no keyboard
    - it declares short APDU but uses chaining as for extended APDU
    
    Thanks to Martin Paljak for the bug report
    https://github.com/LudovicRousseau/CCID/pull/16

 src/ccid.c | 7 +++++++
 src/ccid.h | 1 +
 2 files changed, 8 insertions(+)

commit c18293616c834362555a61b3d84624ec24522bb3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon May 9 20:10:13 2016 +0200

    Add HID AVIATOR Generic

 readers/HID_Aviator.txt       | 161 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   5 +-
 2 files changed, 165 insertions(+), 1 deletion(-)

commit b5673dfae8ab054557938abea864e5c34f61d2ed
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon May 9 09:53:35 2016 +0200

    Update c.sh link
    
    The c.sh script is used call ./configure with "correct" parameter for
    me (maintainer).
    This file comes from PCSC and is a symbolic link.
    
    Thanks to Martin Paljak for the bug report
    https://github.com/LudovicRousseau/CCID/pull/15

 c.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5c9dbb25abb9fed9882b7c28b65fe55d4d7924fb
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 7 12:12:28 2016 +0200

    SCM SCL011: use a 400 ms timeout instead of 100 ms
    
    The SCM SCL011 reader is a contactless reader that needs 350 ms to
    answer to the PC_to_RDR_GetSlotStatus CCID command when no card is in
    the field.
    
    We use the same patch as for the ElatecTWN4.
    
    Thanks to Chris Calvesbert for the bug report.

 src/ccid.c | 3 +++
 src/ccid.h | 1 +
 2 files changed, 4 insertions(+)

commit 5bea205f085a6b5ddd263843f410abab728550b7
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed May 4 18:31:57 2016 +0200

    ElatecTWN4: use a 400 ms timeout instead of 100 ms
    
    The ElatecTWN4 reader is a contactless reader that needs 280 ms to
    answer to the PC_to_RDR_GetSlotStatus CCID command when no card is in
    the field.

 src/ccid.c | 12 ++++++++++++
 src/ccid.h |  1 +
 2 files changed, 13 insertions(+)

commit 1e3c6c14683e3b5a9bc27fed55ae32b7dc2ee157
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed May 4 18:20:13 2016 +0200

    CreateChannel: allow to use a non default timeout
    
    By default the read timeout is set to 100 ms for the double call of
    CmdGetSlotStatus() in CreateChannelByNameOrChannel() use to resync the
    USB toggle bits.
    This is a short delay so that a failing reader will not block for too
    long. The defaut timeout value is 3 seconds so a total of 6 seconds
    would be lost is the reader is not responding.
    
    Unfortunately some readers (in particular contactless readers) are very
    long to anwser to the PC_to_RDR_GetSlotStatus CCID command. I guess it
    is to be sure no contactless card is present in the field.
    
    It is now possible to change the 100 ms timeout to something else for a
    specific reader by adding code in ccid_open_hack_pre() and
    ccid_open_hack_post().

 src/ifdhandler.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2c8ffab9962484653b6445a6c85a6c690a5948b3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Apr 22 14:59:21 2016 +0200

    ccid_usb.c: fix a race condition on multi reader
    
    When using multiple threads we shall use libusb function
    libusb_handle_events_completed() instead of libusb_handle_events() as
    documented in http://libusb.sourceforge.net/api-1.0/mtasync.html#Using
    
    Problems may occur when using more than one reader. In that case a card
    movement notification may be missed and reported only after a 60 seconds
    timeout.
    
    Thanks to Maksim Ivanov for the bug report
    "CCID handling of multiple devices"
    http://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20160418/000564.html

 src/ccid_usb.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d636d54fdd07b416f591f28d84c6f0e3f4bda4f9 (tag: ccid-1.4.23)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Apr 20 10:04:45 2016 +0200

    Release 1.4.23

 README       | 23 +++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 24 insertions(+), 1 deletion(-)

commit 358952bef37c3a71fce7adbae32388cefdea283f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 19 21:02:13 2016 +0200

    Add IonIDe Smartcard Reader reader

 readers/IonIDe_Smartcard_Reader.txt | 161 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt       |   3 +
 2 files changed, 164 insertions(+)

commit 80b4db807ef6d8f52245285fb7e9d6fbe1e3e353
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 19 20:59:26 2016 +0200

    Add HID Global OMNIKEY 6121 Smart Card Reader reader

 .../HID_Global_OMNIKEY_6121_Smart_Card_Reader.txt  | 161 +++++++++++++++++++++
 readers/supported_readers.txt                      |   1 +
 2 files changed, 162 insertions(+)

commit 0991e840b1243cdf9c7f375077e68ac6efa35af7
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 19 20:58:02 2016 +0200

    Add HID Global OMNIKEY 5022 Smart Card Reader reader

 .../HID_Global_OMNIKEY_5022_Smart_Card_Reader.txt  | 163 +++++++++++++++++++++
 readers/supported_readers.txt                      |   1 +
 2 files changed, 164 insertions(+)

commit 7c943dd36500fdb2d10036c6a1976b51e51daee8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 19 20:55:35 2016 +0200

    Add HID Global OMNIKEY 3x21 Smart Card Reader reader

 .../HID_Global_OMNIKEY_3x21_Smart_Card_Reader.txt  | 161 +++++++++++++++++++++
 readers/supported_readers.txt                      |   3 +-
 2 files changed, 163 insertions(+), 1 deletion(-)

commit 3c21f452543983f3625a1965ce234074cbda6865
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 19 20:30:06 2016 +0200

    Fix a busy loop consuming 100% of CPU
    
    If opening a reader fails then we must call close_libusb_if_needed() to
    free any libusb resources and stop the libusb hotplug thread.
    
    The problem as been detected with the Yubico Yubikey NEO U2F+CCID and
    the 2 Boardcom devices. These devices are composite USB devices so
    loading the CCID driver for a non-CCID interface was calling
    libusb_init() but not libusb_exit(). The libusb hotplug thread and other
    libusb allocated resources were not stopped and unallocated. On the next
    USB plug (even if not CCID) then an endless busy loop is started inside
    libusb hotplug.
    
    Fixes:
    - Debian bug #812087
    "pcscd takes 100 % cpu each time I insert a mass storage USB key"
    - Debian bug #821787
    "cleanup libusb when open fails"
    - Ubuntu bug #1572004
    "pcscd consumes 100% CPU"
    - Ubuntu bug #1551897
    "Excessive CPU utilization"
    
    Thanks a lot to Stefan Bühler for the analysis and patch
    https://bugs.debian.org/821787

 src/ccid_usb.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 57b93f4f553e3573b1e857df6c3429c7f017d5d0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Apr 19 20:29:13 2016 +0200

    ccid_usb.c: improve close_libusb_if_needed()
    
    If the libusb context (ctx) is already NULL then no need to call
    libusb_exit().
    
    The idea is to be able to call close_libusb_if_needed() any time
    without checking the value of ctx first.

 src/ccid_usb.c | 3 +++
 1 file changed, 3 insertions(+)

commit d507a07c855fbead039564f1006144a0d4b9b908
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Apr 14 15:36:35 2016 +0200

    Add Cherry SmartTerminal XX44 reader

 readers/Cherry_SmartTerminal_XX44.txt | 161 ++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt         |   1 +
 2 files changed, 162 insertions(+)

commit f6942cf1d886394f43233cac7dc40a39a3462dfd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Apr 14 15:32:24 2016 +0200

    Add Fujitsu Smartcard Reader D323 reader

 readers/Fujitsu_Smartcard_Reader_D323.txt | 161 ++++++++++++++++++++++++++++++
 readers/supported_readers.txt             |   5 +-
 2 files changed, 165 insertions(+), 1 deletion(-)

commit c9591e9920bc6f90e61f05a17839b0e05945dd3d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Apr 1 15:56:24 2016 +0200

    Update URL in a comment
    
    The page at URL
    http://martinpaljak.net/2011/03/19/insecure-hp-usb-smart-card-keyboard/
    is no more available. Fortunately a copy of the page is available at the
    Way Back Machine service.

 src/ccid.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit dd479b7c62f9a290a5d0994f0cbadd9b3af8d0d5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Mar 15 09:10:38 2016 +0100

    Remove support of DRIVER_OPTION_RESET_ON_CLOSE
    
    I do not remember a case of use for DRIVER_OPTION_RESET_ON_CLOSE in the
    last 10 years.
    
    The problem DRIVER_OPTION_RESET_ON_CLOSE is trying to solve is already
    solved:
    - Resynchronising the USB toggle bits is already done by the 3 calls to
      CmdGetSlotStatus() in CreateChannelByNameOrChannel().
    - Resetting bSeq to 0 is not needed.

 src/Info.plist.src    | 6 +-----
 src/ccid_ifdhandler.h | 1 -
 src/ccid_usb.c        | 4 ----
 3 files changed, 1 insertion(+), 10 deletions(-)

commit 998c7965c69b855d1dbb7a04a8d367cf8dbb1a78
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 27 21:43:35 2016 +0200

    InterruptRead(): log libusb error name
    
    As in 7a46f702e3c4752304d94efc61a84618a0a566c9 use libusb_error_name()
    to display the libusb error name instead of error value.

 src/ccid_usb.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 767fd1b3b8eb20d1fca56288ab29d82de873b9be
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Mar 14 17:44:13 2016 +0100

    Add KACST HSID Reader Dual Storage reader

 readers/KACST_HSID_Reader_Dual_Storage.txt | 57 ++++++++++++++++++++++++++++++
 readers/supported_readers.txt              |  1 +
 2 files changed, 58 insertions(+)

commit 01c67d2e16d173b49bb14eb18cb4b54d902424b0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Mar 14 17:40:36 2016 +0100

    Add KACST HSID Reader Single Storage reader

 readers/KACST_HSID_Reader_Single_Storage.txt | 57 ++++++++++++++++++++++++++++
 readers/supported_readers.txt                |  1 +
 2 files changed, 58 insertions(+)

commit 0e2133655ae719833fba1e38a518af4113dfcc81
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Mar 14 17:38:33 2016 +0100

    Add KACST HSID Reader reader

 readers/KACST_HSID_Reader.txt | 57 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 +++-
 2 files changed, 61 insertions(+), 1 deletion(-)

commit f4d5dec7226699878baa4df34b11c7fbaaa1eb6a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Mar 2 10:45:17 2016 +0100

    Add ACS ACR3901U ICC Reader

 readers/ACS_ACR3901U_ICC_Reader.txt | 53 +++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt       |  3 ++-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit cda36311338d8624fa6eeef5e8c2a824df5265b3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Feb 29 17:31:04 2016 +0100

    Add DUALi DE-ABCM6 in _disabled_ list

 readers/DUALi_DE-ABCM6.txt    | 56 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 +++-
 2 files changed, 60 insertions(+), 1 deletion(-)

commit 5cc77fe25299dd8f5ac1d105c298b8c5d0108981
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Feb 6 17:02:08 2016 +0100

    Add VMware Virtual USB CCID
    
    A reader with the same VendorID and ProductID was already present in the
    "should work" list.
    This new version of the reader is bogus and is in the "unsupported"
    list. See the associated note.

 readers/VMware_Virtual_USB_CCID2.txt | 58 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        |  7 ++++-
 2 files changed, 64 insertions(+), 1 deletion(-)

commit 0eaa5bc8e7f5deb77c7f71d3ce231628fe261bca
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jan 27 10:45:10 2016 +0100

    Add Alcor Micro AU9560

 readers/AlcorMicro_AU9560.txt | 62 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  7 +++--
 2 files changed, 67 insertions(+), 2 deletions(-)

commit 43ccf87ea24ade4c5603e0e719383779fe7201bf
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jan 15 09:49:09 2016 +0100

    INSTALL: remove udev use chapter
    
    It is no more possible to build libccid with udev since 14 Oct 2010 and
    the use of libhal.
    
    The support has been removed from configure.in in
    eab2fde6c9327b291267972ee3266a4ab1425fda
    
    Closes: github issue #11 "--enable-udev switch mentioned in INSTALL, but
    not available in configure.ac"
    https://github.com/LudovicRousseau/CCID/issues/11

 INSTALL | 29 -----------------------------
 1 file changed, 29 deletions(-)

commit 33964bcc8f9cbbb9898ac6aa9bbfc3ea98569927
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jan 10 17:21:59 2016 +0100

    MacOSX/configure: exit in error if configure failed
    
    Exit with the return code from ./configure
    It allows to test if the script execution succeeded or not.

 MacOSX/configure | 4 ++++
 1 file changed, 4 insertions(+)

commit 894b184b85c6c45b017a0ea9bef6b3892d207942 (tag: ccid-1.4.22)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jan 10 14:40:02 2016 +0100

    Release 1.4.22

 README       | 31 +++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 32 insertions(+), 1 deletion(-)

commit 208b60e48ba38433e3fd36faaf6694daf068f3b3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jan 6 10:33:10 2016 +0100

    OpenUSBByName(): fix possible use of uninitialized variable
    
    The change in bc6124cb44677540fa5d5267e7af759796d6101c was not complete.
    Now that the call to GET_KEYS() occurs _before_ libusb_get_device_list()
    we should not try to call libusb_free_device_list() if GET_KEYS() fails.
    
    ccid_usb.c:326:2: warning: variable 'devs' is used uninitialized whenever 'if'
          condition is true [-Wsometimes-uninitialized]
            GET_KEYS("ifdVendorID", &ifdVendorID)
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ccid_usb.c:319:6: note: expanded from macro 'GET_KEYS'
            if (rv) \
                ^~
    ccid_usb.c:739:26: note: uninitialized use occurs here
            libusb_free_device_list(devs, 1);
                                    ^~~~
    ccid_usb.c:326:2: note: remove the 'if' if its condition is always false
            GET_KEYS("ifdVendorID", &ifdVendorID)
            ^
    ccid_usb.c:319:2: note: expanded from macro 'GET_KEYS'
            if (rv) \
            ^
    ccid_usb.c:227:22: note: initialize the variable 'devs' to silence this warning
            libusb_device **devs, *dev;
                                ^
                                 = NULL

 src/ccid_usb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b0b6e00f6e3e50ec3d015b60c6551ec27fb9ada
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jan 4 20:36:30 2016 +0100

    Patch for Cherry KC 1000 SC
    
    The Cherry KC 1000 SC is (by default) a "Short APDU level exchange" CCID
    reader. But firmware 1.00 is bogus.
    With a T=1 card and case 2 APDU (data from card to host) the maximum
    size returned by the reader is 128 byes. The reader is then using
    chaining as with extended APDU.
    
    In order to limit the impacts on the driver I just change the dwFeatures
    to declare the reader as a "Short and Extended APDU level exchange" CCID
    reader to use the chaining even for short APDU.
    
    Thanks to ZF Friedrichshafen AG for the patch.

 src/ccid.c | 14 ++++++++++++++
 src/ccid.h |  1 +
 2 files changed, 15 insertions(+)

commit f2abd7954b50ed741d98d78270f7a863f9e18e4a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jan 4 20:25:10 2016 +0100

    Patch for Microchip SEC1110 on Mac OS X
    
    The Microchip SEC1110 is bogus and does not report card status correctly
    with PC_to_RDR_GetSlotStatus if the Interrupt pipe is not read.
    
    The problem is that Mac OS X still does not use the
    TAG_IFD_POLLING_THREAD_WITH_TIMEOUT and then the Interrupt pipe to
    detect card events. Only IFDHICCPresence(), and then GetSlotStatus, is
    used.
    
    The solution is to empty the interrupt pipe by doing a very short read
    (10 ms) before each call to PC_to_RDR_GetSlotStatus.

 src/ccid.h     | 1 +
 src/commands.c | 5 +++++
 2 files changed, 6 insertions(+)

commit e49bd051d6398829439a6f5ca47c9be235f67fc9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jan 4 20:18:22 2016 +0100

    OpenUSBByName(): add some low level debug
    
    Log the bus_number, device_address, idVendor and idProduct of the
    current libusb device in the loop.
    
    This debug is mostly useful on Mac OS X since the idVendor and idProduct
    of the searched device is _not_ given in the device name.

 src/ccid_usb.c | 3 +++
 1 file changed, 3 insertions(+)

commit bc6124cb44677540fa5d5267e7af759796d6101c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Dec 31 16:49:07 2015 +0100

    OpenUSBByName(): read Info.plist only once
    
    On Mac OS X it is possible to ask libusb to rescan the USB bus waiting
    for a device o be available.
    See commit 690e90f476c3815c31874e523ba017f7f1d372cd
    
    The problem was that the code to parse the driver Info.plist was also
    re-executed. This code is now moved earlier and is executed only once
    even on Mac OS X.

 src/ccid_usb.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 325052621ed4280c27ef4f5d24f59424b5d76ecc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Dec 12 13:35:34 2015 +0100

    Add THURSBY SOFTWARE TSS-PK1

 readers/Thursby_TSS_PK1.txt   | 60 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 +++
 2 files changed, 63 insertions(+)

commit d6672c33e2c307a1cbd9b022176a17cde1dcecdc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Dec 12 13:32:22 2015 +0100

    Add Thursby Software Systems, Inc. TSS-PK8

 readers/Thursby_TSS_PK8.txt   | 60 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 +++
 2 files changed, 63 insertions(+)

commit 5c9edb58c1d5e602f7626554c92766a950bc5174
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Dec 12 13:26:38 2015 +0100

    Add Thursby Software Systems, Inc. TSS-PK7

 readers/Thursby_TSS_PK7.txt   | 60 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  7 ++++-
 2 files changed, 66 insertions(+), 1 deletion(-)

commit 21d4bc6963b47e1a7baf74b1818cb6c84d08eb05
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Dec 5 19:02:19 2015 +0100

    Add Nitrokey Nitrokey Storage
    
    "Nitrokey Nitrokey Storage" is the new name for "German Privacy
    Foundation Crypto Stick v2.0"

 ...rivacy_Foundation_Crypto_Stick_v2.0.txt => Nitrokey_Storage.txt} | 6 +++---
 readers/supported_readers.txt                                       | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit d1fbc9bf2817832f4e8be6282fd09d5e206e4ce9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Dec 4 16:43:42 2015 +0100

    ccid.h: fix Kobil mIDentity visual identification
    
    The definition of KOBIL_MIDENTITY_VISUAL reader in
    af3d2ae17337508a7e1a49e3f9dc7546195d62a0 (from 2010) was wrong.
    
    So the support of FEATURE_MCT_READER_DIRECT was broken for this reader.
    It looks like this code has never been tested or used.

 src/ccid.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95a9a0552a8a4020992f65a97ccf0ab1051e1479
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Nov 18 20:43:38 2015 +0100

    Add Aktiv Rutoken PINPad 2

 readers/Aktiv_Rutoken_PINPad_2.txt | 49 ++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt      |  3 ++-
 2 files changed, 51 insertions(+), 1 deletion(-)

commit 8ee6962f08beb1dfd539ae70b819246732019a91
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 13 11:27:12 2015 +0100

    OpenUSBByName(): do not call close_libusb_if_needed()
    
    close_libusb_if_needed() is no more needed in OpenUSBByName() now that
    FreeChannel() is called in case of error.
    
    FreeChannel() will call ClosePort() and ClosePort() will call
    close_libusb_if_needed()

 src/ccid_usb.c | 1 -
 1 file changed, 1 deletion(-)

commit 522ebb2056b7b2170b142f7ce57b834074abffab
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 13 11:20:04 2015 +0100

    CreateChannelByNameOrChannel(): call FreeChannel() in case of error
    
    If the creation of a channel fails then call FreeChannel() instead of
    IFDHCloseChannel().
    The ressources are unalocated but with no access at the lower layer.
    
    Since the creation failed the channel is not correctly created and
    only part of the reader stucture is initialised.
    
    The problem was discovered with the folowing problem:
    Program received signal SIGSEGV, Segmentation fault.
    [Switching to Thread 0x7ffff6fe2700 (LWP 6120)]
    0x00007ffff5dca8f2 in CmdPowerOff (reader_index=0) at commands.c:1076
    1076            cmd[6] = (*ccid_descriptor->pbSeq)++;
    (gdb) print ccid_descriptor
    $1 = (_ccid_descriptor *) 0x7ffff5fe0468 <usbDevice+40>
    (gdb) print ccid_descriptor->pbSeq
    $2 = (unsigned char *) 0x0
    
    The pbSeq pointer is NULL and can't be dereferenced.
    
    (gdb) bt
     #0  0x00007ffff5dca8f2 in CmdPowerOff (reader_index=0) at commands.c:1076
     #1  0x00007ffff5dce556 in IFDHCloseChannel (Lun=0) at ifdhandler.c:269
     #2  0x00007ffff5dce773 in CreateChannelByNameOrChannel (Lun=0,
         lpcDevice=0x269 <error: Cannot access memory at address 0x269>, Channel=0)
         at ifdhandler.c:194
     #3  0x000000000040673a in IFDOpenIFD (rContext=rContext@entry=0x61e010)
         at ifdwrapper.c:136
     #4  0x0000000000408151 in RFInitializeReader (rContext=0x61e010)
         at readerfactory.c:1036
     #5  0x0000000000408a93 in RFAddReader (readerNameLong=<optimized out>,
         port=2097152, library=<optimized out>,
         device=0x7ffff6fe1d30 "usb:08e6/3437:libusb-1.0:1:2:0")
         at readerfactory.c:329
     #6  0x000000000040d9d4 in HPAddHotPluggable (dev=0x0,
         bus_device=0x61d660 <readerTracker+32> "", interface=0,
         driver=<optimized out>, driver=<optimized out>, desc=...)
         at hotplug_libusb.c:608
     #7  0x000000000040dd2a in HPRescanUsbBus () at hotplug_libusb.c:373
     #8  0x000000000040dfa1 in HPEstablishUSBNotifications (pipefd=0x7fffffffe440)
         at hotplug_libusb.c:429
     #9  0x00007ffff75a30a4 in start_thread (arg=0x7ffff6fe2700)
         at pthread_create.c:309
     #10 0x00007ffff72d804d in clone ()
         at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 src/ifdhandler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eda850192dbd6b5d8dca3a6355174ed9649bad38
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 13 11:18:10 2015 +0100

    IFDHCloseChannel(): use FreeChannel()
    
    Move part of the code of IFDHCloseChannel() into a new function
    FreeChannel().
    Call the new function FreeChannel() from IFDHCloseChannel().
    
    No code semantic change.

 src/ifdhandler.c | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit e46fa30ead3f1eff72769d70be6adf031fafe606
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 13 11:48:07 2015 +0100

    OpenUSBByName(): use device bus and address only when available
    
    Use the device_bus and device_addr only if they have a value i.e. when
    libudev is used by pcscd.
    
    If pcsc-lite uses libusb instead of libudev for the hotplug mechanism
    the driver is called with device="usb:08e6/3437:libusb-1.0:1:10:0" and
    then device_bus and device_addr are set to 0.  In this case the driver
    must not uses these values.
    The patch in 8b9f6f33b16e808a5769dbc4193e5f107a09a693 was not complete.
    
    Thanks to Luka Logar for the bug report and patch.

 src/ccid_usb.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit fdc248ed1dd64c88065d7fcd92c6ce8b04e82b8b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Nov 12 18:42:57 2015 +0100

    Add GEMALTO K1100

 readers/Gemalto_K1100.txt     | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 +++
 2 files changed, 54 insertions(+)

commit 5a56181dcaa66899a67e7fbe1b4f00be4b1248e5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Nov 12 18:40:58 2015 +0100

    Add GEMALTO CT1100

 readers/Gemalto_CT1100.txt    | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 ++++-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit 8b9f6f33b16e808a5769dbc4193e5f107a09a693
Author: Santiago Gimeno <santiago.gimeno@ionide.es>
Date:   Tue Nov 3 17:24:49 2015 +0100

    OpenUSBByName(): the device bus & addr must match
    
    In Linux, before this change, if there were multiple card readers of the same
    model connected, a new Reader could be initialized by opening the wrong USB
    device.

 src/ccid_usb.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit a26e6265ad4f8e86d1eea9cdd97dbfd2713194c5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Nov 9 17:21:10 2015 +0100

    Fix timeout for PPDU commands
    
    The timeout value is in milliseconds, not in seconds.
    
    Thanks to Roman Pasechnik for the bug report.

 src/ifdhandler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2b6e04a9153b198a7f9415847d9dd7273cf11af
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Nov 8 21:58:45 2015 +0100

    RSA_SecurID_getpasswd.c: fix compiler warnings on OS X
    
    Apple defines DWORD as uint32_t so %d is correct
    pcsc-lite defines DWORD as unsigned long so %ld is correct
    
    To get a compilation without warnings on Mac OS X and GNU/Linux you have
    to use "%d" on Mac OS X and "%ld" on GNU/Linux.
    Using the macro LF you can use: "%"LF"d".
    
    This change fixes a lot of compiler warnings like:
    RSA_SecurID_getpasswd.c:54:77: warning: format specifies type 'unsigned long'
          but the argument has type 'LONG' (aka 'int') [-Wformat]
      ...Cannot Connect to Resource Manager %lX\n", rv);
                                            ~~~     ^~
                                            %X

 contrib/RSA_SecurID/RSA_SecurID_getpasswd.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit e4415fd84f7b91e9bebd0bc3ac07204ee6054db1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Nov 8 21:52:53 2015 +0100

    scardcontrol.c: fix compiler warnings on OS X
    
    Apple defines DWORD as uint32_t so %d is correct
    pcsc-lite defines DWORD as unsigned long so %ld is correct
    
    To get a compilation without warnings on Mac OS X and GNU/Linux you have
    to use "%d" on Mac OS X and "%ld" on GNU/Linux.
    Using the macro LF you can use: "%"LF"d".
    
    This change fixes a lot of compiler warnings like:
    scardcontrol.c:253:77: warning: format specifies type 'unsigned long' but the
          argument has type 'LONG' (aka 'int') [-Wformat]
      ...Cannot Connect to Resource Manager %lX\n", rv);
                                            ~~~     ^~
                                            %X

 examples/scardcontrol.c | 39 ++++++++++++++++++++++++---------------
 1 file changed, 24 insertions(+), 15 deletions(-)

commit cda5ca7aeb1440bfd0215ee9d79cfe1f845b735c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 6 20:41:21 2015 +0100

    IFDHTransmitToICC: Reuse ccid_descriptor
    
    ccid_descriptor is now already computed. Reuse this value where
    possible.

 src/ifdhandler.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7748ae13bf4c48d2f34993dd6086d62aa0a91cf0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 6 20:21:58 2015 +0100

    Set timeout to 90 sec for PPDU commands
    
    PPDU (Pseudo APDU) commands are described in PC/SC v2 part 10
    supplement document. They are defined as CLA=0xFF, INS=0xC2, P1=0x01.
    When a PPDU is sent through SCardTransmit() the communication timeout is
    changed to 90 seconds (the same as for a SCardControl() command).
    
    This change allows the use of a Secure Verify command sent as a PPDU
    through SCardTransmit(). The calculated timeout of 2.85 seconds was too
    short in this case.
    
    Fix alioth bug [#315217] "Cherry KC 1000 SC direct PIN modification
    timeout Pseudo APDU"
    https://alioth.debian.org/tracker/?func=detail&atid=410085&aid=315217&group_id=30105
    
    Thanks to Roman Pasechnik for the bug report.

 src/ifdhandler.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 144a5ff7a61ad3a18c3d4d7ca0ad6639100ee538
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 6 20:37:38 2015 +0100

    Move max() definition in a header file
    
    The max() macro is now defined in defs.h instead of commands.c.
    This allows other .c files to use this macro.

 src/commands.c | 1 -
 src/defs.h     | 2 ++
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 6ec40b99efdebf238f5deb91bdcb5d64c83df8bc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 6 09:38:20 2015 +0100

    Comments: Remove the $Id$ tag
    
    The $Id$ tag was used by subversion (svn) to indicate the file revision.
    This tag is now useless with git.

 INSTALL                 | 2 --
 MacOSX/configure        | 2 --
 bootstrap               | 2 --
 configure.ac            | 2 --
 examples/scardcontrol.c | 4 ----
 readers/Makefile.am     | 2 --
 6 files changed, 14 deletions(-)

commit 0f71939d079f4c909f815a90ed64e8ebe26e687d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 6 09:34:10 2015 +0100

    submodule: resync with upstream
    
    sync git modules PCSC and contrib_libPCSCv2part10

 PCSC                    | 2 +-
 contrib_libPCSCv2part10 | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 780f7f393b4e49d7c484455b9b04c2aab6056afa
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 6 09:29:36 2015 +0100

    Comments: Remove the $Id$ tag
    
    The $Id$ tag was used by subversion (svn) to indicate the file revision.
    This tag is now useless with git.

 README                  | 2 --
 reconf                  | 2 --
 src/92_pcscd_ccid.rules | 2 --
 src/Makefile.am         | 2 --
 src/ccid.c              | 4 ----
 src/ccid.h              | 4 ----
 src/ccid_ifdhandler.h   | 4 ----
 src/ccid_serial.c       | 4 ----
 src/ccid_serial.h       | 4 ----
 src/ccid_usb.c          | 4 ----
 src/ccid_usb.h          | 4 ----
 src/commands.c          | 4 ----
 src/commands.h          | 4 ----
 src/debug.c             | 5 -----
 src/debug.h             | 4 ----
 src/defs.h              | 4 ----
 src/ifdhandler.c        | 2 --
 src/openct/README       | 2 --
 src/openct/checksum.h   | 2 --
 src/openct/proto-t1.h   | 2 --
 src/parse.c             | 4 ----
 src/towitoko/README     | 2 --
 src/utils.c             | 4 ----
 src/utils.h             | 4 ----
 24 files changed, 79 deletions(-)

commit 53dedae5bf5afb8b07f94a17b812eb57a8910142
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Nov 5 15:33:01 2015 +0100

    .gitignore: ignore libccidtwin .lo files

 .gitignore | 5 +++++
 1 file changed, 5 insertions(+)

commit 3c0a6f6a8cf8bb7051ac32a6f089b904747e7ab6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 6 09:00:34 2015 +0100

    command.c: returns IFD_ERROR_INSUFFICIENT_BUFFER
    
    If the reader returns an error (cancel or timeout) that the driver
    reports as SW=0x6400 or SW=0x6401 and the RX buffer is less than 2
    bytes the driver now returns IFD_ERROR_INSUFFICIENT_BUFFER instead of
    IFD_COMMUNICATION_ERROR.
    
    Thanks to Godfrey Chung and the ACS driver version 1.1.1 for idea.

 src/commands.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4a222e816baa03d211f898fda227c2dc9c0db323
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Nov 4 11:50:46 2015 +0100

    Add Athena ASEDrive IIIe KB Bio PIV

 readers/Athena_ASEDrive_IIIe_KB_BIO_PIV.txt | 51 +++++++++++++++++++++++++++++
 readers/supported_readers.txt               |  1 +
 2 files changed, 52 insertions(+)

commit ceaafe4b1a23475afa7573cea3cc422070db0f49
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Nov 4 11:42:44 2015 +0100

    Add Athena ASEDrive IIIe Combo Bio PIV

 readers/Athena_ASEDrive_IIIe_Combo.txt | 58 ++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt          |  3 +-
 2 files changed, 60 insertions(+), 1 deletion(-)

commit 3f801e6ed56508e8b7906e4a162ca7eb80ef15e3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Oct 28 12:58:32 2015 +0100

    Add Hitachi, Ltd. Hitachi Portable Biometric Reader

 readers/Hitachi_Portable_Biometric_Reader.txt | 49 +++++++++++++++++++++++++++
 readers/supported_readers.txt                 |  1 +
 2 files changed, 50 insertions(+)

commit 7872d5be115552fa51124009b0b8c90d5d8f88a7
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Oct 28 12:57:25 2015 +0100

    Add Hitachi, Ltd. Hitachi Biometric Reader

 readers/Hitachi_Biometric_Reader.txt | 49 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        |  5 +++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 9a1932bed605fb3e38d9853449bb33b8791fa142
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Oct 26 16:02:50 2015 +0100

    CreateChannel(): cleanup in case of error
    
    If the initialisation fails after the OpenPortByName() (during the check
    and hack phases) then we need to correctly close the device.
    
    The problem occured on OS X with a Gemalto Pinpad reader.
    The ccid_open_hack_post() failed and the port was not closed.
    usbDevice[reader_index].dev_handle was not set to NULL and the next
    reader plug (any reader) failed because the index was already in use.

 src/ifdhandler.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit fe2a1def4207d3be16604a1c2be5381def6eab93
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 22 18:41:27 2015 +0200

    Add Aladdin R.D. JaCarta U2F (JC602)

 readers/Aladdin_R.D._JaCarta_U2F.txt | 50 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        |  1 +
 2 files changed, 51 insertions(+)

commit 31369cd4e4cf79bfb94e10d1f9f46f931bc82fa2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 22 18:39:47 2015 +0200

    Add Aladdin R.D. JC-WebPass (JC600)

 readers/Aladdin_R.D._JaCarta_WebPass.txt | 50 ++++++++++++++++++++++++++++++++
 readers/supported_readers.txt            |  1 +
 2 files changed, 51 insertions(+)

commit d1a72e49356e49b3f7e587e4f93984b3525b068d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 22 18:35:08 2015 +0200

    Add Aladdin R.D. JCR-770

 readers/Aladdin_R.D._JCR-770.txt | 108 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |   1 +
 2 files changed, 109 insertions(+)

commit f17347ca7f702885ed6325ce302d49e6a3376dab
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 22 18:32:03 2015 +0200

    Add Aladdin R.D. JaCarta Flash

 readers/Aladdin_R.D._JaCarta_Flash.txt | 53 ++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt          |  1 +
 2 files changed, 54 insertions(+)

commit 001a48795d99195f6263dd5a01cb74bcc69a965c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 22 18:28:24 2015 +0200

    Add Aladdin R.D. JaCarta LT

 readers/Aladdin_R.D._JaCarta_LT.txt | 53 +++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt       |  1 +
 2 files changed, 54 insertions(+)

commit a48551f30d49fa5188a1df79e99b378cac8b51d9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 22 18:14:48 2015 +0200

    Remove execution bit from .txt files

 readers/Chicony_HP_USB_Smartcard_CCID_Keyboard_JP.txt           | 0
 readers/Chicony_HP_USB_Smartcard_CCID_Keyboard_KR.txt           | 0
 readers/Identiv_@MAXX_ID-1_Smart_Card_Reader.txt                | 0
 readers/Identiv_@MAXX_Light2_token.txt                          | 0
 readers/Identiv_CLOUD_2980_F_Smart_Card_Reader.txt              | 0
 readers/Identiv_Identiv_uTrust_4701_F_Dual_Interface_Reader.txt | 0
 readers/Identiv_SCR3500_A_Contact_Reader.txt                    | 0
 readers/Identiv_SCR3500_B_Contact_Reader.txt                    | 0
 readers/Identiv_SCR35xx_USB_Smart_Card_Reader.txt               | 0
 readers/Identiv_uTrust_2900_R_Smart_Card_Reader.txt             | 0
 readers/Identiv_uTrust_2910_R_Smart_Card_Reader.txt             | 0
 readers/Identiv_uTrust_2910_R_Taglio_SC_Reader.txt              | 0
 readers/Identiv_uTrust_3512_SAM_slot_Token.txt                  | 0
 readers/Identiv_uTrust_3522_embd_SE_RFID_Token.txt              | 0
 readers/Identiv_uTrust_3700_F_CL_Reader.txt                     | 0
 readers/Identiv_uTrust_3701_F_CL_Reader.txt                     | 0
 readers/Identive_Identive_CLOUD_4000_F_DTC.txt                  | 0
 readers/Liteon_HP_SC_Keyboard_Apollo_JP_Liteon.txt              | 0
 readers/Liteon_HP_SC_Keyboard_Apollo_KR_Liteon.txt              | 0
 readers/Liteon_HP_SC_Keyboard_Apollo_Liteon.txt                 | 0
 20 files changed, 0 insertions(+), 0 deletions(-)

commit e1d9a34b9e366361a7ae9411d387bfd2d8bae622
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 22 18:14:20 2015 +0200

    Add Aladdin R.D. JaCarta

 readers/Aladdin_R.D._JaCarta.txt | 53 ++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |  5 +++-
 2 files changed, 57 insertions(+), 1 deletion(-)

commit 65886986170191a4b825bbf4701428e2d8442f1d (tag: ccid-1.4.21)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Oct 21 20:38:46 2015 +0200

    Release 1.4.21

 README       | 44 ++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 45 insertions(+), 1 deletion(-)

commit f5eebab921f1eb7e93d8c206c72e30c5c0f09e80
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 20 18:08:32 2015 +0200

    Info.plist: use hex values in the documentation
    
    The value of ifdDriverOptions is an hex value. So the documentation
    should also use hex values.
    
    Thanks to Thomas Capricelli for the bug report
    https://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20151019/000471.html

 src/Info.plist.src | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 8090d7a49bde4c238e50c825c6d1b06d979d7702
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 20 18:03:28 2015 +0200

    supported_readers.txt: regenerate
    
    The "Generic Smart Card Reader Interface" (idVendor: 0x0BDA, idProduct: 0x0165)
    moved from supported to unsupported.
    
    https://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20151019/000471.html

 readers/supported_readers.txt | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 9ef9abc950bd4ef138d3f505b632cd188e34deab
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Oct 17 17:55:28 2015 +0200

    Add FT ePass2003Auto

 readers/FT_ePass2003Auto.txt  | 49 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 ++++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 1e9aa449e14ae71d38f45f6d65741fab43892f3b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 15 20:34:22 2015 +0200

    Add WatchCNPC USB CCID Key

 readers/WatchCNPC_USB_CCID_Key.txt | 49 ++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt      |  5 +++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 215e9b71209fef5ee8c03fb8913526e4138a2733
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Oct 12 20:48:31 2015 +0200

    .gitignore: ignore src/Info.plist
    
    src/Info.plist is generated from src/Info.plist.src

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit bfab1f2368bb7c8eb07272a295701e9358f0eff3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Oct 7 09:57:10 2015 +0200

    Rename FEITIAN readers
    
    The iManufacturer name is FEITIAN not Feitian.

 readers/supported_readers.txt | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 862e6c97410b0d414b04e0539b42d3ea6928bc77
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Oct 7 09:38:02 2015 +0200

    Feitian bR301: firmware update
    
    Update firmware from 1.30 to 2.00
    
    Changes:
    iManufacturer: Feitian -> FEITIAN
    iInterface: R502 -> bR301

 readers/Feitian_bR301.txt | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 854442af5cc528cd79028892739fa8ee1827336f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Oct 3 05:46:44 2015 +0200

    Feitian 502-CL: firmware update
    
    Update firmware from 1.60 to 1.64.
    No other changes than the firmware version in the CCID descriptor.

 readers/Feitian_R502-CL.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8f9ef7bdfaccc5cde4688d165aef5fb809d80ee1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Oct 3 05:42:17 2015 +0200

    Add Feitian iR301 (ProductID 0x0619)

 readers/Feitian_iR301-U_30PIN.txt | 60 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt     |  1 +
 2 files changed, 61 insertions(+)

commit 755a8c3a89012472959bd19020601c9b7d29d91f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Oct 3 05:39:30 2015 +0200

    Add Feitian iR301 (ProductID 0x061C)

 readers/Feitian_iR301-U_8PIN.txt | 60 ++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |  1 +
 2 files changed, 61 insertions(+)

commit 59921cf1553f12b9aff8f6cfca0a941327767850
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Oct 3 05:34:46 2015 +0200

    Feitian R502: firmware update
    
    Update firmware from 1.63 to 1.64. No other changes than the firmware
    version in the CCID descriptor.

 readers/Feitian_R502.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit da357d34ce8e6a7595d71db5d52473c87f4dbfc5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Oct 3 05:32:42 2015 +0200

    Add Feitian bR301 BLE

 readers/Feitian_bR301_BLE.txt | 102 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   3 +-
 2 files changed, 104 insertions(+), 1 deletion(-)

commit 5c9c548416a9384f855d629bb08d27053e54c601
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 23 11:05:56 2015 +0200

    Cherry SmartTerminal ST-2xxx: new firmware
    
    Upgrade firmware from 5.08 to 6.01.
    dwMaxCCIDMessageLength changed from 263 to 270 bytes.

 readers/CherrySmartTerminalST2XXX.txt | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit ea05cef175ad772221386da0d681853339642f98
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Sep 21 20:35:39 2015 +0200

    Add Rocketek RT-SCR1

 readers/Rocketek_RT-SCR1.txt  | 59 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 +++-
 2 files changed, 63 insertions(+), 1 deletion(-)

commit a5b0723806afd360485149a1c413eb6139dbd9ba
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:33:35 2015 +0200

    Add Liteon HP SC Keyboard - Apollo JP (Liteon)

 readers/Liteon_HP_SC_Keyboard_Apollo_JP_Liteon.txt | 58 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 59 insertions(+)

commit 0c4b19f294fc8954d163bf8d4675ad1ad2ae23b2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:30:40 2015 +0200

    Add Liteon HP SC Keyboard - Apollo KR (Liteon)

 readers/Liteon_HP_SC_Keyboard_Apollo_KR_Liteon.txt | 58 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 59 insertions(+)

commit 66cb880bfe5cbffd61f84395eaf5116f322d24e3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:27:52 2015 +0200

    Add Liteon HP SC Keyboard - Apollo (Liteon)

 readers/Liteon_HP_SC_Keyboard_Apollo_Liteon.txt | 58 +++++++++++++++++++++++++
 readers/supported_readers.txt                   |  3 ++
 2 files changed, 61 insertions(+)

commit a2c88d43ae2d33466fb0095622854e18369d2d47
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:24:18 2015 +0200

    Add Chicony HP USB Smartcard CCID Keyboard JP

 .../Chicony_HP_USB_Smartcard_CCID_Keyboard_JP.txt  | 58 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 59 insertions(+)

commit 307ff853347809021b9ab3ef2a4867e860e7faa3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:21:21 2015 +0200

    Add Chicony HP USB Smartcard CCID Keyboard KR

 .../Chicony_HP_USB_Smartcard_CCID_Keyboard_KR.txt  | 58 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 59 insertions(+)

commit 7c1f7cc5b27a29306c1cd94b323d0e049b980255
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:17:34 2015 +0200

    Add Identiv Identiv uTrust 4701 F Dual Interface Reader

 ...Identiv_uTrust_4701_F_Dual_Interface_Reader.txt | 111 +++++++++++++++++++++
 readers/supported_readers.txt                      |   4 +
 2 files changed, 115 insertions(+)

commit 7cf39b7a2c9d2e29d87b77f6017fee371b182cd0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:12:15 2015 +0200

    Add Identive Identive CLOUD 4000 F DTC

 readers/Identive_Identive_CLOUD_4000_F_DTC.txt | 111 +++++++++++++++++++++++++
 readers/supported_readers.txt                  |   4 +
 2 files changed, 115 insertions(+)

commit 28d2e6067f801f2c934630dd91f3a977af612bc0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:06:23 2015 +0200

    Add Identiv uTrust 3701 F CL Reader

 readers/Identiv_uTrust_3701_F_CL_Reader.txt | 55 +++++++++++++++++++++++++++++
 readers/supported_readers.txt               |  1 +
 2 files changed, 56 insertions(+)

commit 5e149e0601ea7715cae37b1706375d11377dd007
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 16:00:58 2015 +0200

    Add Identiv uTrust 3700 F CL Reader

 readers/Identiv_uTrust_3700_F_CL_Reader.txt | 55 +++++++++++++++++++++++++++++
 readers/supported_readers.txt               |  1 +
 2 files changed, 56 insertions(+)

commit 12c073e316fb4b4d694334988e7a571b52d653b9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 15:55:23 2015 +0200

    Add Identiv CLOUD 2980 F Smart Card Reader

 readers/Identiv_CLOUD_2980_F_Smart_Card_Reader.txt | 56 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 57 insertions(+)

commit f0e8382da592e9e29b14138d63bfc8a631cad866
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 15:49:38 2015 +0200

    Add Identiv SCR35xx USB Smart Card Reader

 readers/Identiv_SCR35xx_USB_Smart_Card_Reader.txt | 55 +++++++++++++++++++++++
 readers/supported_readers.txt                     |  1 +
 2 files changed, 56 insertions(+)

commit a93ac9367e3a9c990f4fb3bc113a442bdfd42b81
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:59:03 2015 +0200

    Add Identiv uTrust 2910 R Taglio SC Reader

 readers/Identiv_uTrust_2910_R_Taglio_SC_Reader.txt | 55 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 56 insertions(+)

commit 2188e7708476078d7da476af82dea23be04b069e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:54:26 2015 +0200

    Add Identiv uTrust 3522 embd SE RFID Token

 readers/Identiv_uTrust_3522_embd_SE_RFID_Token.txt | 55 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 56 insertions(+)

commit 693671c43b2d9da6b41bdc16ef8eefbd079b43eb
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:50:23 2015 +0200

    Add Identiv @MAXX ID-1 Smart Card Reader

 readers/Identiv_@MAXX_ID-1_Smart_Card_Reader.txt | 55 ++++++++++++++++++++++++
 readers/supported_readers.txt                    |  1 +
 2 files changed, 56 insertions(+)

commit 24804384c6f0696fefaef942d36d9e9a3534ceef
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:43:11 2015 +0200

    Add Identiv @MAXX Light2 token

 readers/Identiv_@MAXX_Light2_token.txt | 55 ++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt          |  1 +
 2 files changed, 56 insertions(+)

commit d17dcff104d7980f216a764214544b1c8921010d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:39:18 2015 +0200

    Add Identiv uTrust 3512 SAM slot Token

 readers/Identiv_uTrust_3512_SAM_slot_Token.txt | 55 ++++++++++++++++++++++++++
 readers/supported_readers.txt                  |  1 +
 2 files changed, 56 insertions(+)

commit 214cfb01a721c2a1ca21f7e5659fb7603dee1405
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:35:56 2015 +0200

    Add Identiv SCR3500 B Contact Reader

 readers/Identiv_SCR3500_B_Contact_Reader.txt | 55 ++++++++++++++++++++++++++++
 readers/supported_readers.txt                |  1 +
 2 files changed, 56 insertions(+)

commit a89995364dbe81dc2741a4662d2e4c9abf9cfca8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:32:20 2015 +0200

    Add Identiv SCR3500 A Contact Reader

 readers/Identiv_SCR3500_A_Contact_Reader.txt | 55 ++++++++++++++++++++++++++++
 readers/supported_readers.txt                |  1 +
 2 files changed, 56 insertions(+)

commit 3bb33cd520bb3cd9b31f3813e27df2875f7dab85
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:24:13 2015 +0200

    Add Identiv uTrust 2910 R Smart Card Reader

 .../Identiv_uTrust_2910_R_Smart_Card_Reader.txt    | 55 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 56 insertions(+)

commit 7e57f1a32e7cba9bff43983365e383275613b46e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 19 14:18:32 2015 +0200

    Add Identiv uTrust 2900 R Smart Card Reader

 .../Identiv_uTrust_2900_R_Smart_Card_Reader.txt    | 55 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  5 +-
 2 files changed, 59 insertions(+), 1 deletion(-)

commit 4cb29aac717b00bda5e97c9f26eb82279c1f9514
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Sep 17 14:16:21 2015 +0200

    OpenUSBByName(): free the device list in case of error
    
    If no reader is found the code should release the device list in any
    case.
    
    Either the code will try again to find the reader (in case of Mac OS X)
    or return an error code.
    
    The list of USB devices shall always be released before returning from the
    function (in error or normal cases).

 src/ccid_usb.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2517cbe1672b4af57420131634eff376ede1f58b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 16 18:23:36 2015 +0200

    The Feitian R502 DUAL reader has 3 interfaces
    
    If USE_COMPOSITE_AS_MULTISLOT is defined the Feitian R502 reader is
    reported as 3 slots:
    iInterface: R502 Contactless Reader
    iInterface: R502 Contact Reader
    iInterface: R502 SAM1 Reader

 src/ifdhandler.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0fe9bda3e9af88d2cd8e2e08edbcb7aad9f4792a
Author: Feitian Technologies <hongbin@ftsafe.com>
Date:   Wed Jul 8 22:46:01 2015 +0200

    Add Feitain R502 dual interface reader into CCID driver
    
    Feitian R502 is a composite multislot reader.
    Mac OS X does not yet support composite readers.

 src/ccid.h       | 1 +
 src/ccid_usb.c   | 5 +++--
 src/ifdhandler.c | 2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 94142da9a4b11bf9cd2b429e1a15139936c751af
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 16 18:10:45 2015 +0200

    OpenUSBByName(): fix the order of interfaces in log
    
    The log message "Found interface %d but expecting %d" has the parameters
    inversed.
    The order is not corrected.

 src/ccid_usb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e31d36c6003fb3e572895c068c48fd3d22fc3f32
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 16 10:43:04 2015 +0200

    Feitian_R502.txt: new firmware
    
    Change bcdDevice from 1.60 to 1.63

 readers/Feitian_R502.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 690e90f476c3815c31874e523ba017f7f1d372cd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Sep 16 10:31:55 2015 +0200

    OpenUSBByName(): add more time on Mac OS X
    
    The change in 0a295238204b8aef683fa5e69187b1060210f487 (svn revision
    6890) was not enough.  Some readers (like SafeNet eToken 7300) need
    more than 100 ms to be available at the libusb level.
    
    The code now:
    - waits for 100 ms only if the reader is not found. No more performance
      impact in "normal" situations
    - loops up to 10 times before returning an error
    
    The maximum waiting time is now 10 x 100 ms = 1 second. It should be
    enough even with slow readers and slow computers.

 src/ccid_usb.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 5d91f63afdd3c8ba00bc645085ea8a2e7fcf6ee0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Sep 11 11:12:16 2015 +0200

    Add VASCO DIGIPASS 875

 readers/Vasco_DIGIPASS_875.txt | 108 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |   3 +-
 2 files changed, 110 insertions(+), 1 deletion(-)

commit 64eec8e84b1cd4dd8653039d967d99b3d5fd945f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 31 10:22:23 2015 +0200

    Add ACS ACR1252 Dual Reader

 readers/ACS_ACR1252_Dual_Reader.txt | 100 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt       |   6 ++-
 2 files changed, 105 insertions(+), 1 deletion(-)

commit 94445035640e6fa788d961ec00d15ad3e55c9508
Author: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Date:   Sun Aug 30 16:06:17 2015 +0200

    Regenerate supported_readers.txt
    
    Use Nitrokey manufacturer name instead of the old versions

 readers/supported_readers.txt | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

commit 7d2b26963a3701b4a6258dc561e85af4890c2f61
Author: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Date:   Sun Aug 30 16:05:07 2015 +0200

    Remove Free Software Initiative of Japan Gnuk Token
    
    Free_Software_Initiative_of_Japan_Gnuk_Token.txt is an old version of
    Nitrokey_Start.txt
    The same VendorID/ProdictID is used.

 ...ree_Software_Initiative_of_Japan_Gnuk_Token.txt | 50 ----------------------
 1 file changed, 50 deletions(-)

commit 03d1833fcc9a67d1215e952802e2c0145f3acef6
Author: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Date:   Sun Aug 30 15:50:59 2015 +0200

    Remove Crypto Stick Crypto Stick v1.4
    
    Crypto_Stick_Crypto_Stick_v1.4.txt is an old version of Nitrokey_Pro.txt
    The same VendorID/ProdictID is used.
    
    " Crypto Stick 1.4 was the name of the old beta version where only <50
    devices were produced. The final product has been renamed to Nitrokey
    Pro which is the one being sold in substantial quantities.  Hence, I
    suggest to drop the "Crypto Stick 1.4" string. "

 readers/Crypto_Stick_Crypto_Stick_v1.4.txt | 51 ------------------------------
 1 file changed, 51 deletions(-)

commit b5d3da3aa0faaca911522473a718bab6c02bad14
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Aug 29 11:03:55 2015 +0200

    Add Nitrokey Nitrokey Start

 readers/Nitrokey_Start.txt    | 50 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 +++
 2 files changed, 53 insertions(+)

commit 87d1cf823355f1798ac1a21e0154a578d889b550
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Aug 29 11:01:47 2015 +0200

    Add Nitrokey Nitrokey Pro

 readers/Nitrokey_Pro.txt      | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 +++
 2 files changed, 54 insertions(+)

commit b3dbc774e27521be80bb7089419bda0e83f58d5d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Aug 29 10:57:35 2015 +0200

    Add Nitrokey Nitrokey HSM

 readers/Nitrokey_HSM.txt      | 51 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  9 ++++++--
 2 files changed, 58 insertions(+), 2 deletions(-)

commit 7a46f702e3c4752304d94efc61a84618a0a566c9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Aug 27 09:51:13 2015 +0200

    Use libusb_error_name() to display the error name
    
    libusb provides libusb_error_name() to display a human readable
    version of the error code returned by libusb.
    
    LIBUSB_ERROR_BUSY is easier to understand than -6
    
    See also changes in 9c3fd753186aa18a56d2bfeee6acac8c6b399de6

 src/ccid_usb.c | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 44e385a91534795864c64d54c481770bc39565fd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Aug 7 20:49:15 2015 +0200

    Update access rights of some .txt files
    
    Remove the executable bit of some reader .txt files.

 readers/Cherry_KC_1000_SC.txt                                  | 0
 readers/Cherry_KC_1000_SC_DI.txt                               | 0
 readers/Cherry_KC_1000_SC_DI_Z.txt                             | 0
 readers/Cherry_KC_1000_SC_Z.txt                                | 0
 readers/FujitsuTechnologySolutions_Keyboard_KB100_SCR.txt      | 0
 readers/FujitsuTechnologySolutions_Keyboard_KB100_SCR_eSIG.txt | 0
 readers/GnD_StarSign_CUT.txt                                   | 0
 readers/Rutoken_PINPad_ex.txt                                  | 0
 readers/Rutoken_PINPad_in.txt                                  | 0
 9 files changed, 0 insertions(+), 0 deletions(-)

commit 67b190c1c8144c60110a13fc3c07de9e8b992654 (tag: ccid-1.4.20)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Aug 5 13:21:33 2015 +0200

    Release 1.4.20

 README       | 19 +++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 96d9c5a84cee08ff150e7072d68e6d3cb846328a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Aug 5 11:40:33 2015 +0200

    ylwrap: upgrade to automake 1.15
    
    Only the copyright date has changed.

 ylwrap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be86cb804f394f0c52815bc68036d39eaf851967
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jul 28 20:27:26 2015 +0200

    Add BIFIT iToken

 readers/BIFIT_iToken.txt      | 49 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 ++-
 2 files changed, 51 insertions(+), 1 deletion(-)

commit fc2789652b77d9fa8dc1154c6b5ff0f3e1fb8456
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 27 23:13:24 2015 +0200

    MacOSX/configure: use /usr/local/libexec/... on El Capitan
    
    For Mac OS X El Capitan 10.11 it is no more possible to add files in
    /usr/libexec/SmartCardServices/drivers/.
    
    Third party smart card drivers must use
    /usr/local/libexec/SmartCardServices/drivers/ instead.

 MacOSX/configure | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 4c905913c5b6c745737be9b5cfcea225391fe550
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 6 18:48:13 2015 +0200

    Add Yubico Yubikey 4 OTP+U2F+CCID

 readers/Yubico_Yubikey_4_OTP+U2F+CCID.txt | 56 +++++++++++++++++++++++++++++++
 readers/supported_readers.txt             |  1 +
 2 files changed, 57 insertions(+)

commit a03c748989910d95d048da2e4f42c369b2fb0979
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 6 18:46:17 2015 +0200

    Add Yubico Yubikey 4 U2F+CCID

 readers/Yubico_Yubikey_4_U2F+CCID.txt | 56 +++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt         |  1 +
 2 files changed, 57 insertions(+)

commit cb81d80e3a8651c1ccf101b2f92659a43b69bfe6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 6 18:42:53 2015 +0200

    Add Yubico Yubikey 4 OTP+CCID

 readers/Yubico_Yubikey_4_OTP+CCID.txt | 56 +++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt         |  1 +
 2 files changed, 57 insertions(+)

commit 5f7e804e6fa81bb073160c609d13c0fddd716f71
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 6 18:35:26 2015 +0200

    Add Yubico Yubikey 4 CCID

 readers/Yubico_Yubikey_4_CCID.txt | 56 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt     |  3 ++-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit 205e4657b87aa9367af755f28461436ab43696d5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Jun 21 10:31:42 2015 +0200

    The O2 Micro Oz776 reader only supports 9600 bps
    
    The problem for the Oz776 with ProductID 0x7762 is the same as for the
    Oz776 with productID 0x7772.
    
    See 64308e93029bf377d506edaf2748da945a21cd5c for details.
    
    Thanks to Matt and Tim Banchi for the bug report.
    https://bugs.launchpad.net/ubuntu/+source/ccid/+bug/1311273

 src/ccid.c | 1 +
 1 file changed, 1 insertion(+)

commit a1ccac6fb4f0df06f28b3960a7e91bc3c42f4cd1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jun 19 18:08:37 2015 +0200

    Add Access IS NFC Smart Module

 readers/Access_IS_NFC_Smart_Module.txt | 53 ++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt          |  3 +-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit fcd1230befbc90dafca06618336a2c44d6239127
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Jun 11 19:42:33 2015 +0200

    Add NXP Pegoda 2 N

 readers/NXP_Pegoda_2_N.txt    | 60 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 ++-
 2 files changed, 62 insertions(+), 1 deletion(-)

commit b5795d4eaa0302ca7a71c8135d96ee6154ac2667
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jun 10 17:16:40 2015 +0200

    Add ACS ACR1251 Dual Reader

 readers/ACS_ACR1251_Dual_Reader.txt | 103 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt       |   6 ++-
 2 files changed, 108 insertions(+), 1 deletion(-)

commit b105c389fbb43f897c1eac0fb2e241dcd91d2ad4
Author: Ludovic Rousseau <ludovic.rousseau+github@gmail.com>
Date:   Wed Jun 3 15:52:05 2015 +0200

    Depends on libusb version 1.0.9 instead of 1.0.8
    
    The CCID driver uses libusb_error_name() since release 1.4.19 (the
    previous one).
    libusb_error_name() has been introduced in version 1.0.9 of libusb. We
    now need to depend on this version (or a later one).
    
    Thanks to Godfrey Chung for the bug report.
    https://github.com/LudovicRousseau/CCID/commit/9c3fd753186aa18a56d2bfeee6acac8c6b399de6#commitcomment-11490300

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1be0bc1c47ecf5ed53cb5bdf2833e42c9115f8f2
Author: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Date:   Thu May 28 15:18:38 2015 +0200

    Add SafeNet eToken 5100

 readers/SafeNet_Token_JC.txt  | 53 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 +++-
 2 files changed, 57 insertions(+), 1 deletion(-)

commit 827edb3f5934d573d3312eb36db8984348cca3f3
Author: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Date:   Thu May 28 10:50:43 2015 +0200

    Add SafeNet eToken 7300

 readers/SafeNet_eToken_7300.txt | 54 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |  3 +++
 2 files changed, 57 insertions(+)

commit 950ad4f9cf6edcb9c596c0ea71fa1e5b1a64bc83
Author: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Date:   Thu May 28 10:37:26 2015 +0200

    The BLUTRONICS BLUDRIVE II CCID moved to supported list
    
    This reflect the changes in the *.ini files
    
    https://anonscm.debian.org/cgit/pcsclite/website.git/commit/?id=ff798bfe2e10c970442184ecf56d0516d9c1ad99

 readers/supported_readers.txt | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b22807b7b205633f544dbf24002456bbd6845d82
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed May 20 09:26:13 2015 +0200

    Add BLUTRONICS BLUDRIVE II CCID (idProduct: 0x1079)

 readers/BludriveIIv2.txt      | 61 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 ++-
 2 files changed, 63 insertions(+), 1 deletion(-)

commit b92543712ef2bd9e294a590ca31a5105deba754b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon May 18 10:30:11 2015 +0200

    Ignore some files

 .gitignore | 3 +++
 1 file changed, 3 insertions(+)

commit 355a894406769842171a796127012b82e5bc233c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu May 14 21:06:03 2015 +0200

    Add Generic MultiCard Device

 readers/Generic_MultiCard_Device.txt | 56 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        |  3 +-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit a2d7335d8e2ccd2b29782edc88e9d82bd67d1891 (tag: ccid-1.4.19)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed May 13 09:35:00 2015 +0200

    Release 1.4.19

 README       | 35 +++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 36 insertions(+), 1 deletion(-)

commit 2b5c83b57a7e16e6412da7a410ea68a5d7a5e8cc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun May 10 18:42:11 2015 +0200

    Minor reformat

 README | 2 ++
 1 file changed, 2 insertions(+)

commit 9fa3a2243ea597cde4ee4efd7dfdc6c9a6643a27
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun May 10 18:40:25 2015 +0200

    Generate ChangeLog file using git instead of svn
    
    The repository moved from SVN to GIT.

 Makefile.am | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 28a44ae58b5adc1508b78de58686aa64cb4e1f17
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun May 10 17:22:04 2015 +0200

    Use git submodules for PCSC and contrib
    
    PCSC is a relative submodule to ../PCSC.git
    
    contrib_libPCSCv2part10 is a relative submodule to ../contrib.git
    I had to rename the directory to avoid a name clash with an already
    existing contrib/ directory.
    
    Thanks to Martin Paljak for the idea
    https://github.com/LudovicRousseau/CCID/issues/3

 .gitmodules             | 6 ++++++
 MacOSX/debuglog.h       | 2 +-
 MacOSX/ifdhandler.h     | 2 +-
 MacOSX/reader.h         | 2 +-
 PCSC                    | 1 +
 contrib_libPCSCv2part10 | 1 +
 examples/PCSCv2part10.c | 2 +-
 examples/PCSCv2part10.h | 2 +-
 m4/as-ac-expand.m4      | 2 +-
 m4/ax_pthread.m4        | 2 +-
 src/misc.h              | 2 +-
 src/parser.h            | 2 +-
 src/simclist.c          | 2 +-
 src/simclist.h          | 2 +-
 src/strlcpy.c           | 2 +-
 src/strlcpycat.h        | 2 +-
 src/tokenparser.l       | 2 +-
 17 files changed, 22 insertions(+), 14 deletions(-)

commit a013204d28ad2f91c954f06c0375fbf71955fb5d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 9 10:59:51 2015 +0200

    Add FujitsuTechnologySolutions GmbH Keyboard KB100 SCR eSIG

 ...TechnologySolutions_Keyboard_KB100_SCR_eSIG.txt | 161 +++++++++++++++++++++
 readers/supported_readers.txt                      |   1 +
 2 files changed, 162 insertions(+)

commit 6ad257a112e189fa7ab86605b7e152b774cf8707
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 9 10:57:57 2015 +0200

    Add FujitsuTechnologySolutions GmbH Keyboard KB100 SCR

 ...jitsuTechnologySolutions_Keyboard_KB100_SCR.txt | 161 +++++++++++++++++++++
 readers/supported_readers.txt                      |   1 +
 2 files changed, 162 insertions(+)

commit e546cf025d0768aa3b586d28b3affb2954b551af
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 9 10:54:17 2015 +0200

    Add Cherry KC 1000 SC/DI Z

 readers/Cherry_KC_1000_SC_DI_Z.txt | 161 +++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt      |   1 +
 2 files changed, 162 insertions(+)

commit 0057db7a7b52b66d3f4c1a809fd953a3182c6b48
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 9 10:52:26 2015 +0200

    Add Cherry KC 1000 SC Z

 readers/Cherry_KC_1000_SC_Z.txt | 161 ++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |   1 +
 2 files changed, 162 insertions(+)

commit ac86a6a558f2bcabb95a9086d79fb140795ee761
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 9 10:50:29 2015 +0200

    Add Cherry KC 1000 SC/DI

 readers/Cherry_KC_1000_SC_DI.txt | 161 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |   1 +
 2 files changed, 162 insertions(+)

commit 392cfa8da07fa5aa75a18ab79990e6ab7e12e17b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 9 10:43:40 2015 +0200

    Add Cherry KC 1000 SC

 readers/Cherry_KC_1000_SC.txt | 161 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   3 +-
 2 files changed, 163 insertions(+), 1 deletion(-)

commit f5a7928c47d4a4836e7322303aac9cbd76aae428
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 8 13:28:06 2015 +0200

    Add files to ignore
    
    and sort the list.

 .gitignore | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

commit b5732d967791118def0aad6e576f9083183bf0c7
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue May 5 21:22:36 2015 +0200

    Add REINER SCT tanJack Bluetooth

 readers/ReinerSCT_tanJack_BT.txt | 53 ++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt    |  1 +
 2 files changed, 54 insertions(+)

commit e651ceaf16e2e945a637ec59df31dd8643a461f1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue May 5 21:01:34 2015 +0200

    Add Feitian eJAVA Token

 readers/Feitian_eJava_Token.txt | 49 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |  1 +
 2 files changed, 50 insertions(+)

commit 4b0e717d5ce73f3b48ead657f4136de8dddaf793
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue May 5 20:53:18 2015 +0200

    Add Feitian 502-CL

 readers/Feitian_R502-CL.txt   | 55 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  1 +
 2 files changed, 56 insertions(+)

commit 06d56926d9e3dfa2f24bcc51a238e95fb58543ba
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue May 5 20:39:56 2015 +0200

    Add Broadcom Corp 5880
    
    Again a new Broadcom 5880 reader. This one has idProduct: 0x5804

 readers/Broadcom_5880v5.txt   | 616 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   8 +-
 2 files changed, 622 insertions(+), 2 deletions(-)

commit f18a27cda10b3407b53bd65c3338f277c4dc4711
Author: Martin Paljak <martin@martinpaljak.net>
Date:   Thu Apr 30 09:31:18 2015 +0300

    Suppress an error at bootstrap
    
    "type glibtoolize" will display an error message if glibtoolize is not
    found (on non-Mac OS X systems):
    ./bootstrap: line 12: type: glibtoolize: not found
    
    "which glibtoolize" will be quiet. So we use it instead.

 bootstrap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9d8a914754ab52ecee7ec7732f4fd0a6c8bf299
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Apr 26 14:58:49 2015 +0200

    Update symbolic links to git repositories

 MacOSX/debuglog.h       | 2 +-
 MacOSX/ifdhandler.h     | 2 +-
 MacOSX/reader.h         | 2 +-
 c.sh                    | 2 +-
 examples/PCSCv2part10.c | 2 +-
 examples/PCSCv2part10.h | 2 +-
 m4/as-ac-expand.m4      | 2 +-
 m4/ax_pthread.m4        | 2 +-
 src/misc.h              | 2 +-
 src/parser.h            | 2 +-
 src/simclist.c          | 2 +-
 src/simclist.h          | 2 +-
 src/strlcpy.c           | 2 +-
 src/strlcpycat.h        | 2 +-
 src/tokenparser.l       | 2 +-
 15 files changed, 15 insertions(+), 15 deletions(-)

commit e46cbdf74af6d2409469ea53777e79d67697c0b5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Mar 24 12:03:53 2015 +0000

    Re-enable syslog logging on Yosemite
    
    The patch has been applied in revision 7092 and reverted in revision
    7104.
    
    This new version is a bit different.
    - the priority parameter is used and reflect syslog priorities
    - the ATR and APDU are not logged since it is not needed
    
    Use: sudo syslog -c "com.apple.ifdreader PID" -d
    to change the logging level.
    
    See also "Change syslog logging level on Yosemite"
    http://ludovicrousseau.blogspot.com/2015/03/change-syslog-logging-level-on-yosemite.html
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7105 0ce88b0d-b2fd-0310-8134-9614164e65ea

 MacOSX/configure |  7 +++++++
 configure.ac     | 11 +++++++++++
 src/debug.c      | 31 +++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)

commit 542fc5c2aaf8339e2b48211e70e108ac3423a3a6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Mar 24 09:29:22 2015 +0000

    Yosemite already provides a APDU + ATR logging
    
    The logging is enabled using:
    $ sudo defaults write /Library/Preferences/com.apple.security.smartcard
    Logging -bool yes
    
    See SmartCardServices(7) or
    http://ludovicrousseau.blogspot.fr/2015/02/debug-smart-card-application-on-yosemite.html
    
    This patch reverts the changes from revision 7092.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7104 0ce88b0d-b2fd-0310-8134-9614164e65ea

 MacOSX/configure      |  7 -------
 configure.ac          | 10 ----------
 src/Info.plist.src    |  4 ----
 src/ccid_ifdhandler.h |  1 -
 src/debug.c           | 28 ----------------------------
 src/debug.h           |  2 --
 src/ifdhandler.c      |  9 ---------
 7 files changed, 61 deletions(-)

commit 9d47332cc4e54c8657b701733c2f440869dbd3e4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 22 19:05:51 2015 +0000

    Add Cherry TC 1300
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7102 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Cherry_Smart_Card_Reader_USB_0x0092.txt | 168 ++++++++++++++++++++++++
 readers/supported_readers.txt                   |   3 +-
 2 files changed, 170 insertions(+), 1 deletion(-)

commit 15436916ef24fcc4d2a274b92fe4f7db667f764c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Mar 18 19:42:51 2015 +0000

    Add Watchdata USB Key
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7101 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Watchdata_USB_Key.txt | 49 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 ++++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 8a752d1e67787455428ddf42c8e0f8bb660755e8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Mar 5 15:42:59 2015 +0000

    Add Chicony USB Smart Card Keyboard
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7098 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Chicony_USB_Smart_Card_Keyboard.txt | 58 +++++++++++++++++++++++++++++
 readers/supported_readers.txt               |  5 ++-
 2 files changed, 62 insertions(+), 1 deletion(-)

commit 1bb4d9bfe8ce3ec53ad1c6616cac3e5530fea3b3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 20 17:35:53 2015 +0000

    Regenerate
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7095 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/CardMan3021.txt | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 8d5343569faba3430a6ca8dfec02e25a58b0bc92
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 20 17:33:47 2015 +0000

    Fix typo
    
    bClassEnveloppe: -> bClassEnvelope: only one 'p'
    
    Same change as in revision r6641
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7094 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/AK910_ckey_0001.txt      | 2 +-
 readers/AK910_ckey_0011.txt      | 2 +-
 readers/AK910_idone_0101.txt     | 2 +-
 readers/Gemalto_IDBridge_K30.txt | 2 +-
 readers/Microchip_SEC1110.txt    | 2 +-
 readers/Microchip_SEC1210.txt    | 4 ++--
 6 files changed, 7 insertions(+), 7 deletions(-)

commit f3137c79061494f6a7ad0b4656d3107eeae96e84
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 13 14:57:31 2015 +0000

    Add syslog(3) debug for Mac OS X Yosemite
    
    New features:
    --enable-syslog at build time
    DRIVER_OPTION_LOG in Info.plist at run time
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7092 0ce88b0d-b2fd-0310-8134-9614164e65ea

 MacOSX/configure      |  7 +++++++
 configure.ac          | 12 ++++++++++++
 src/Info.plist.src    |  4 ++++
 src/ccid_ifdhandler.h |  1 +
 src/debug.c           | 28 ++++++++++++++++++++++++++++
 src/debug.h           |  2 ++
 src/ifdhandler.c      |  9 +++++++++
 7 files changed, 63 insertions(+)

commit 9336b6a195539ecc78deabcbe2ea6cea8c15b611
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Feb 9 10:23:16 2015 +0000

    Get bEntryValidationCondition value from FEATURE_IFD_PIN_PROPERTIES
    
    Some drivers may implement FEATURE_IFD_PIN_PROPERTIES but not
    FEATURE_GET_TLV_PROPERTIES.
    You should be smart enough to get the bEntryValidationCondition value
    from both possible sources.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7091 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ea3ab287d2bccd1586eec8917592097e38385b8a
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 6 13:12:48 2015 +0000

    Let SVN expand $Id$
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7090 0ce88b0d-b2fd-0310-8134-9614164e65ea

 bootstrap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df7045d804491720a2fc2e0691cec6dd98b29e88
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 6 13:11:02 2015 +0000

    Use glibtoolize. if found
    
    brew(1) on Mac OS X provides glibtoolize instead of libtoolize.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7089 0ce88b0d-b2fd-0310-8134-9614164e65ea

 bootstrap | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 2e38fb7350fe87298458189a8be5f492787f2b1f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 20 19:34:21 2015 +0000

    Add PIVKey T800
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7085 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/PIVKey_T800.txt       | 49 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 ++++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit c51c13c5a5e75b0c860c35ee9f41c9b0558cf425
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Jan 10 11:48:59 2015 +0000

    IFDHSleep(): timout parameter is in ms not µs
    
    We convert timeout in ms in the correct value for usleep(3) that takes
    a parameter in µs.
    
    Thanks to Alan Kozlay for the bug report
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7081 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 432b94e91e278fe151b2abffcbd2735764ac8694
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jan 9 17:21:03 2015 +0000

    Firmware 5.20 (previous one was 5.00)
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7080 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/CardMan5321.txt | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 0f4a47d94c98cfa12d504e2db91a478b779a3ffa
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Dec 17 19:57:58 2014 +0000

    Multi_InterruptRead(): failed to release a lock in some cases
    
    "I found that the mutex is not locked in Multi_InterruptRead() if the
    code go to again label."
    
    Thanks to Godfrey Chung for the patch
    http://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20141215/000293.html
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7054 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 39704170eb9d7b913fe975fc4705bb871103836b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Dec 14 14:41:26 2014 +0000

    Fix a memory leak in an error path
    
    In Multi_PollingProc, if libusb_submit_transfer() fails then the
    transfer libusb structure must be freed.
    
    Thanks to Godfrey Chung for the patch
    http://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20141208/000284.html
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7052 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 1 +
 1 file changed, 1 insertion(+)

commit 208783dbb07176526ae2abbbe7e0ce1b23542c85
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Nov 29 13:30:39 2014 +0000

    Add ACS ACR39U ICC Reader
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7046 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/ACS_ACR39U_ICC_Reader.txt | 54 +++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt     |  3 ++-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit 319dd5c6f777dc2e7f35de4280f77fe428756217
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Nov 26 08:03:57 2014 +0000

    Fix header documentation
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7045 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/openct/checksum.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02714205d7e24ca5ec777352d00afe09c364030c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Nov 19 14:00:49 2014 +0000

    add CASTLES EZCCID Smart Card Reader
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7044 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/CASTLES_EZCCID_Smart_Card_Reader.txt | 65 ++++++++++++++++++++++++++++
 readers/supported_readers.txt                |  5 ++-
 2 files changed, 69 insertions(+), 1 deletion(-)

commit c87812c34374703bd5395be76b6a0b58a9847316
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Nov 18 08:16:54 2014 +0000

    Fix typos in comments
    
    Thanks to David Woodhouse for the patch
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7043 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 372ce33af40e5f3174a689a09bef50289d36fab4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Nov 16 19:04:02 2014 +0000

    Add Hewlett-Packard HP lt4112 Gobi 4G Module
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7042 0ce88b0d-b2fd-0310-8134-9614164e65ea

 .../Hewlett-Packard_HP_lt4112_Gobi_4G_Module.txt   | 51 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  5 ++-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit 400dcedf572f60be874b7193da6edd3659e9b29b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Nov 9 20:35:19 2014 +0000

    Use CmdEscapeCheck() in set_gemalto_firmware_features()
    
    Not all the Gemplus or Gemalto readers do suppoort the proprietary
    GET_FIRMWARE_FEATURES command.
    
    In case the reader is too old to support the command it is annoying and
    worrying to get an error message in the log.
    
    Closes Alioth bug [#314871] "commands.c:979:CmdEscape error on byte 10"
    message
    https://alioth.debian.org/tracker/index.php?func=detail&aid=314871&group_id=30105&atid=410086
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7040 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a2dfeab889947029ce3b5957913b0997bb9e676c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Nov 9 20:32:32 2014 +0000

    Add CmdEscapeCheck()
    
    CmdEscapeCheck() is CmdEscape() with an extra "mayfail" parameter.
    
    If mayfail is TRUE then the error is logged as PCSC_LOG_INFO instead of
    PCSC_LOG_ERROR.
    
    This is usefull in cases we know the command may fail. So the error is
    expected and not really an error.
    
    See Alioth bug [#314871] "commands.c:979:CmdEscape error on byte 10"
    message
    https://alioth.debian.org/tracker/index.php?func=detail&aid=314871&group_id=3010+++5&atid=410086
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7039 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/commands.c | 22 ++++++++++++++++++++--
 src/commands.h |  5 +++++
 2 files changed, 25 insertions(+), 2 deletions(-)

commit be235604aac83b4e5e5f4d3dfa0087e66c95c986
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Nov 9 20:27:05 2014 +0000

    Add log_level parameter in ccid_error()
    
    Some CCID errors are not always unexpected. This patch allows to change
    the log level from PCSC_LOG_ERROR to something else.
    
    See alioth bug [#314871] "commands.c:979:CmdEscape error on byte 10"
    message
    https://alioth.debian.org/tracker/index.php?func=detail&aid=314871&group_id=30105&atid=410086
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7038 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c     |  5 +++--
 src/ccid.h     |  3 ++-
 src/commands.c | 16 ++++++++--------
 3 files changed, 13 insertions(+), 11 deletions(-)

commit 7e42bf7149afbf85bc8b99d2e8baab6ab1cddfaa
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 7 09:02:36 2014 +0000

    Add AK910 CKey (idProduct 0x0011)
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7032 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/AK910_ckey_0011.txt   | 53 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  1 +
 2 files changed, 54 insertions(+)

commit 959158e06d3bc3694bc1ee91a9f2e80c3d7922d7
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 7 09:01:32 2014 +0000

    Add AK910 CKey (idProduct 0x0001)
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7031 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/AK910_ckey_0001.txt   | 53 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  1 +
 2 files changed, 54 insertions(+)

commit d272f8ddeff7eda04ce7eef73369f43c9a81419c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Nov 7 08:57:03 2014 +0000

    Add AK910 IDONE
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7030 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/AK910_idone_0101.txt  | 53 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 +++-
 2 files changed, 57 insertions(+), 1 deletion(-)

commit f0b1b801133a4be14f8592b321084cbd2334219c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Nov 4 09:31:00 2014 +0000

    Ignore errno and use libusb returned value only
    
    Checking (ENODEV == errno) should always be redundant with
    checking (LIBUSB_ERROR_NO_DEVICE == rv)
    
    Since errno is not a documented way to deal with libusb errors we will
    ignore errno now.
    
    Thanks to Hendrik Donner for the patch
    http://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20141020/000205.html
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7024 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 9c3fd753186aa18a56d2bfeee6acac8c6b399de6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Nov 4 09:25:52 2014 +0000

    Use libusb_error_name() instead of strerror()
    
    libusb provides libusb_error_name() to display a human readable
    version of the error code returned by libusb.
    
    LIBUSB_ERROR_NO_DEVICE is easier to understand than -4.
    
    Recent versions of libusb (libusb 1.0.16 from 2013-07-11) also provide
    libusb_strerror() but Debian stable only provides libusb 1.0.11. Maybe a
    future version of libccid will use libusb_strerror().
    
    Thanks to Hendrik Donner for the patch
    http://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20141020/000205.html
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7023 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit eee1ad5aae97cb39e9fe60d199b9379aa50b084e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 30 10:56:23 2014 +0000

    Remove ZLP patch for Gemalto IDBridge CT30 and K30.
    
    The patch is causing problems with the K50.
    A new reader firmware (version F) solved the problem so the patch is no
    more needed.
    
    Closes Alioth bug [#314691] Gemalto ID Bridge K50 Smart card Reader does not work on USB2 with ZLP fix
    https://alioth.debian.org/tracker/index.php?func=detail&aid=314691&group_id=30105&atid=410085
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7021 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c        | 13 -------------
 src/ccid.h        |  5 -----
 src/ccid_serial.c |  1 -
 src/ccid_usb.c    | 11 -----------
 4 files changed, 30 deletions(-)

commit f683beb8d8a506a257d2d50d771435c5fc498373
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 30 10:54:11 2014 +0000

    New firmware for Gemalto IDBridge CT30 reader.
    
    Update note about ZLP issue. ZLP patch removed in revision 7021.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7020 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Gemalto_IDBridge_CT30.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ec3d518ad2a5d75dc15e1ed1741020419ba8860
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 28 16:57:45 2014 +0000

    Add Elatec TWN4 SmartCard NFC
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7019 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Elatec_TWN4_SmartCard_NFC.txt | 54 +++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt         |  9 +++---
 2 files changed, 59 insertions(+), 4 deletions(-)

commit 5ea7926c1bf8649ad926e7f3b873a82536f00401
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Oct 28 15:29:18 2014 +0000

    Regenerate
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7018 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/AxaltoV3.txt | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 6c937fba90f2d377eaced6f907aab2170c586084
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Oct 2 16:22:49 2014 +0000

    Add OMNIKEY AG 6121 USB mobile
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7008 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Omnikey_6121.txt      | 170 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   3 +-
 2 files changed, 172 insertions(+), 1 deletion(-)

commit af5fb95ab8b47466e0d5f145493a1140e0a843a3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Sep 30 18:27:26 2014 +0000

    Add Identive SCT3522CC token
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@7003 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Identive_SCT3522CC_token.txt | 56 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        |  3 +-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit d0742d5f32194a6a8f842ec3ca411e0e5f93db66 (tag: ccid-1.4.18)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Sep 13 16:25:24 2014 +0000

    Release 1.4.18
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6982 0ce88b0d-b2fd-0310-8134-9614164e65ea

 README       | 14 ++++++++++++++
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit bcb9144a519bc55568e391fd62ae04d98e7d24e9
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Sep 4 11:36:54 2014 +0000

    Fix compiler warning
    
    ifdhandler.c: In function `IFDHControl':
    ifdhandler.c:1442:4: warning: implicit declaration of function `htonl' [-Wimplicit-function-declaration]
    ifdhandler.c:1442:4: warning: nested extern declaration of `htonl' [-Wnested-externs]
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6977 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c | 3 +++
 1 file changed, 3 insertions(+)

commit c064fd2f1657fa08dcc7437a8258ea07db268a47
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Sep 4 11:35:46 2014 +0000

    Fix compiler warning
    
    ccid.c: In function `ccid_open_hack_pre':
    ccid.c:67:4: warning: implicit declaration of function `sleep' [-Wimplicit-function-declaration]
    ccid.c:67:4: warning: nested extern declaration of `sleep' [-Wnested-externs]
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6976 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c | 3 +++
 1 file changed, 3 insertions(+)

commit a78e62ef3e036c0030d4b8b1ffaef537a6b65303
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Sep 4 11:33:05 2014 +0000

    Use <config.h> instead of "config.h"
    
    https://www.gnu.org/software/autoconf/manual/autoconf-2.65/html_node/Configuration-Headers.html
      With the appropriate -I option, you can use ‘#include <config.h>’.
      Actually, it's a good habit to use it, because in the rare case when
      the source directory contains another config.h, the build directory
      should be searched first.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6975 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c             | 2 +-
 src/ccid_serial.c      | 2 +-
 src/ccid_usb.c         | 2 +-
 src/commands.c         | 2 +-
 src/debug.c            | 2 +-
 src/ifdhandler.c       | 2 +-
 src/openct/buffer.c    | 2 +-
 src/openct/checksum.c  | 2 +-
 src/openct/checksum.h  | 2 +-
 src/openct/proto-t1.c  | 2 +-
 src/openct/proto-t1.h  | 2 +-
 src/towitoko/atr.c     | 2 +-
 src/towitoko/defines.h | 2 +-
 src/utils.c            | 2 +-
 14 files changed, 14 insertions(+), 14 deletions(-)

commit ccdbb2ce165a0bb64f188ed168ff2012352e4613
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Sep 2 20:37:11 2014 +0000

    Add Lenovo Lenovo USB Smartcard Keyboard
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6971 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Lenovo_USB_Smartcard_Keyboard.txt | 58 +++++++++++++++++++++++++++++++
 readers/supported_readers.txt             |  3 +-
 2 files changed, 60 insertions(+), 1 deletion(-)

commit 6b7f463c1d498c8eab8796ed12165e356c988773
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Sep 2 14:07:00 2014 +0000

    Do not define variables that are not used if NO_LOG is defined
    
    Unused variables generates a warning with an error level (and stops
    the compilation) when building the UEFI driver.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6970 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/commands.c   | 2 ++
 src/ifdhandler.c | 2 ++
 2 files changed, 4 insertions(+)

commit e6548c1dc12e1f603b210153b43db775c00d911b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Sep 2 13:55:31 2014 +0000

    Enable effect of --enable-embedded on ccid_error()
    
    Do nothing in ccid_error() if NO_LOG is defined.
    
    'objdump -h --section=.rodata libccid.so' shows a gain of 240 bytes.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6968 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c | 2 ++
 1 file changed, 2 insertions(+)

commit f1122344304cba75795c41beeb8545e52248107b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Sep 2 13:50:50 2014 +0000

    Enable effect of --enable-embedded on hex dumps
    
    Use LogXxd() instead of log_xxd() in the definition of DEBUG_XXD and
    DEBUG_INFO_XXD.
    
    LogXxd() is defined as nothing (and removed by the compiler) if NO_LOG
    is enabled (using --enable-embedded). So the header text of DEBUG_XXD()
    is no more stored in the .rodata section of the binary file.
    
    'objdump -h --section=.rodata libccid.so' shows a gain of 38 bytes.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6967 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/debug.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fda88cbef5ab3d59af6fbd786a61b056b339aef2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Sep 1 18:27:42 2014 +0000

    Add eID_R6 001 X8
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6966 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/eID_R6_001_X8.txt     | 52 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  5 ++++-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit 01e6cf4112c41c673f74d19072dc2f2e7a76ea3d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Aug 26 09:21:53 2014 +0000

    ATR_GetDefaultProtocol() also returns the available protocols
    
    Add a new parameter int *availableProtocols to return the available
    protocols as defined in the ATR.
    
    This is needed for the UEFI driver. Getting the available protocols is
    done by pcsc-lite but pcsc-lite is not used on UEFI.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6964 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c   |  2 +-
 src/towitoko/atr.c | 25 ++++++++++++++++++++-----
 src/towitoko/atr.h |  2 +-
 3 files changed, 22 insertions(+), 7 deletions(-)

commit 14ccd577fec0a1c61fa2b067e9ab9d88c918b14b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Aug 26 09:16:51 2014 +0000

    ATR_GetDefaultProtocol() do not return an error code.
    
    If the ATR is invalid then ATR_InitFromArray() will return
    ATR_MALFORMED. When ATR_GetDefaultProtocol() is called the ATR has been
    checked to be valid.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6963 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 0acc1fcff629c28cd4e56dd7e761c64237f9551d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Aug 26 09:14:10 2014 +0000

    Check value returned by ATR_InitFromArray()
    
    The ATR may be invalid and ATR_InitFromArray() may return ATR_MALFORMED.
    I have not yet seen this problem in the field but it is better to ba
    safe.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6962 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 24f3eebec12dcc39a5241794a6eeeff40ba1b09b
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 25 19:19:03 2014 +0000

    Add Yubico Yubikey NEO OTP+U2F+CCID
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6961 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Yubico_Yubikey_NEO_OTP+U2F+CCID.txt | 56 +++++++++++++++++++++++++++++
 readers/supported_readers.txt               |  1 +
 2 files changed, 57 insertions(+)

commit ce85d8a6c9e06642c16c36ea6fedfe14860dd089
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Aug 25 19:17:37 2014 +0000

    Add Yubico Yubikey NEO U2F+CCID
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6960 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Yubico_Yubikey_NEO_U2F+CCID.txt | 56 +++++++++++++++++++++++++++++++++
 readers/supported_readers.txt           |  3 +-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit 5dd4fb8241530590ad0e5278f2c62ca192433d26
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Aug 8 09:27:50 2014 +0000

    Fix wrong comment
    
    We need to have a card inserted since we will send APDUs.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6958 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9d926a6b2c2edfc160e7fe5d908e7e3e6f60969
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jul 21 19:20:29 2014 +0000

    Remove bogus treatment for CARDMAN3121
    
    The code was not used by the old CARDMAN3121 but had a side effect for a
    new version of the Cardman 3121 with Product ID increased by 1.
    
    This code was present since the first version of the file in subversion
    or CVS (September 2003). I do not remember why I added this code, more
    than 10 years ago.
    
    Thanks to Maximilian Stein for the bug report
    http://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20140714/000073.html
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6940 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c | 6 ------
 1 file changed, 6 deletions(-)

commit bfe22cdf3c69ae5e394979e2ec34b696fe578a6e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 11 19:41:53 2014 +0000

    Update FujitsuTechnologySolutions GmbH Keyboard KB SCR2 name
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6939 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/supported_readers.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2f225a40779bfa648e42d89805c00d29e25ab50
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 11 19:35:14 2014 +0000

    Add Cherry Cherry TC 1100
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6937 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Cherry_Smart_Card_Reader_USB_2_04.txt | 170 ++++++++++++++++++++++++++
 readers/supported_readers.txt                 |   3 +
 2 files changed, 173 insertions(+)

commit a83e3fb09c505eb2621bfd768f42adf7c5519ccb
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 11 19:25:36 2014 +0000

    Add Cherry Smartcard Keyboard G87-1xx44
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6936 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Cherry_Smartcard_Keyboard_G87-1xx44.txt | 172 ++++++++++++++++++++++++
 readers/supported_readers.txt                   |   1 +
 2 files changed, 173 insertions(+)

commit 479b48ed707a999665ff5de8e8f6434e9db13a52
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Jul 11 19:23:48 2014 +0000

    Add FujitsuTechnologySolutions GmbH Keyboard KB SCR2
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6935 0ce88b0d-b2fd-0310-8134-9614164e65ea

 ...FujitsuTechnologySolutions_Keyboard_KB_SCR2.txt | 172 +++++++++++++++++++++
 readers/supported_readers.txt                      |   3 +-
 2 files changed, 174 insertions(+), 1 deletion(-)

commit 5474431e96222a4153ab7a1af29683e3f3739653
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jun 25 16:14:41 2014 +0000

    Add Cherry Smart Card Reader USB
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6933 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Cherry_Smart_Card_Reader_USB.txt | 170 +++++++++++++++++++++++++++++++
 readers/supported_readers.txt            |  11 +-
 2 files changed, 177 insertions(+), 4 deletions(-)

commit 333d93dbd7c943acba5736dad8bf89b7cb4a5497
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 17 15:26:42 2014 +0000

    Add missing unistd.h header
    
    On Mac OS X Mavericks:
    parse.c:108:8: warning: implicit declaration of function 'getuid' is invalid in C99 [-Wimplicit-function-declaration]
                            if (getuid())
                                ^
    parse.c:233:25: warning: implicit declaration of function 'geteuid' is invalid in C99 [-Wimplicit-function-declaration]
            if ((0 == nb) && (0 != geteuid()))
                                   ^
    2 warnings generated.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6929 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/parse.c | 1 +
 1 file changed, 1 insertion(+)

commit 5dc1761a47e9979cf7015a37ea09bae5148b5f81
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 17 09:43:47 2014 +0000

    Use #ifdef HAVE_* before including .h files
    
    Some systems do not have C header files, like UEFI for example.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6928 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/commands.c   | 11 ++++++++++-
 src/ifdhandler.c | 12 ++++++++++--
 2 files changed, 20 insertions(+), 3 deletions(-)

commit 191436959c6fafe4ddb3b208d856f10a2295bf27
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 17 09:32:22 2014 +0000

    Include missing unistd.h for usleep(3)
    
    Needed for Mac OS X Mavericks
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6927 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/commands.c   | 2 ++
 src/ifdhandler.c | 2 ++
 2 files changed, 4 insertions(+)

commit f8d6f7ea8ae3ad852e8816e7fbbf1f8bd5842f86
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 17 09:22:00 2014 +0000

    Use "unsigned char" instead of "UCHAR"
    
    UCHAR is not a standard C type and is not available on UEFI.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6926 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/defs.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1a26fd2dd9f70e774bb2848b5bc68b0cdfa4c516
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 17 09:19:25 2014 +0000

    Use #ifdef HAVE_* before including .h files
    
    Some systems do not have C header files, like UEFI for example.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6925 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/towitoko/atr.c | 5 ++++-
 src/towitoko/pps.c | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit b07c4d52273d54c85272c33858aa9851ee80b6c4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 17 09:14:49 2014 +0000

    Use #ifdef HAVE_* before including .h files
    
    Some systems do not have C header files, like UEFI for example.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6924 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/openct/buffer.c   | 10 +++++-----
 src/openct/buffer.h   |  2 ++
 src/openct/checksum.h |  2 ++
 src/openct/proto-t1.c |  4 ++++
 src/openct/proto-t1.h |  1 -
 5 files changed, 13 insertions(+), 6 deletions(-)

commit 0c2c98d5f1a127de742b39109375f62df8838f67
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 17 08:56:51 2014 +0000

    Remove non used header files
    
    The needed headers are already present in the corresponding .h file
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6923 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/openct/checksum.c | 1 -
 src/openct/proto-t1.c | 3 ---
 2 files changed, 4 deletions(-)

commit d7915f9bad2da46fcdec42915e940a05a3fd9b75
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jun 16 13:55:33 2014 +0000

    Use "unsigned char" instead of "UCHAR"
    
    UCHAR is not a standard C type and is not available on UEFI.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6922 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.h | 68 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 34 insertions(+), 34 deletions(-)

commit 2bdf24a7029c730c50a7cfc30e3b75fba0aa7835
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jun 16 13:51:29 2014 +0000

    Rename DEBUG_INFO() in DEBUG_INFO1()
    
    DEBUG_INFO is already used by UEFI as a debug level.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6921 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c         |  4 ++--
 src/ccid_serial.c  |  6 +++---
 src/ccid_usb.c     |  8 ++++----
 src/commands.c     | 14 +++++++-------
 src/debug.h        |  2 +-
 src/ifdhandler.c   | 22 +++++++++++-----------
 src/towitoko/atr.c |  2 +-
 7 files changed, 29 insertions(+), 29 deletions(-)

commit bd9327644538016337e7359259e0213f6016bc87
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jun 16 13:46:31 2014 +0000

    Use #ifdef HAVE_* before including .h files
    
    Some systems do not have C header files, like UEFI for example.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6920 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 74a27620f2597079ef1a14850459dc7844e6144d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jun 16 13:42:45 2014 +0000

    Add check for stdio.h
    
    Some systems do not have stdio.h, like UEFI for example.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6919 0ce88b0d-b2fd-0310-8134-9614164e65ea

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b141f937611ffdf6a13e0d4645895af020c62801 (tag: ccid-1.4.17)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Jun 11 13:09:57 2014 +0000

    Release 1.4.17
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6915 0ce88b0d-b2fd-0310-8134-9614164e65ea

 README       | 14 ++++++++++++++
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 10d87cb8da226df11f2d069a133e4722f2a58c82
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jun 3 13:09:56 2014 +0000

    Update firmware from 1.04 to 1.08
    
    Update tool is available at
    http://support.gemalto.com/index.php?id=prox-du_prox-su
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6908 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/GemProxDU.txt | 108 +++++++++++++++++++++++++-------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

commit 5d1824e50506acd5301eb35f58615cf74c5803cc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 31 15:59:14 2014 +0000

    Add Feitian R502
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6904 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Feitian_R502.txt      | 171 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   7 +-
 2 files changed, 177 insertions(+), 1 deletion(-)

commit 30854e79aa0400c2e2187f3e04a816cc752ca98f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri May 23 16:57:34 2014 +0000

    Add udea MILKO V1.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6902 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/supported_readers.txt |  5 +++-
 readers/udea_MILKO_V1.txt     | 55 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+), 1 deletion(-)

commit 74456fe601624a55ffdbc12e1e81cbc603a4a03f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed May 14 17:59:30 2014 +0000

    Add Free Software Initiative of Japan Gnuk Token
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6901 0ce88b0d-b2fd-0310-8134-9614164e65ea

 ...ree_Software_Initiative_of_Japan_Gnuk_Token.txt | 50 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 51 insertions(+)

commit 00f788a0a9353a8e4eb9998c0d15f1270c40aa9f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed May 14 16:57:40 2014 +0000

    Add German Privacy Foundation Crypto Stick v2.0
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6900 0ce88b0d-b2fd-0310-8134-9614164e65ea

 ...German_Privacy_Foundation_Crypto_Stick_v2.0.txt | 51 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  3 +-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 0e3a5d5e0890f69bf41cf2f51a48354cad82baa6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed May 7 11:07:37 2014 +0000

    Add Identive Technologies Multi-ISO HF Reader - USB
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6899 0ce88b0d-b2fd-0310-8134-9614164e65ea

 ...entive_Technologies_Multi-ISO_HF_Reader_USB.txt | 55 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  5 +-
 2 files changed, 59 insertions(+), 1 deletion(-)

commit 6682288548f7192e5d597f5a2462a12f779af284
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 3 19:09:21 2014 +0000

    Add OMNIKEY 5421
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6897 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/OMNIKEY_5421.txt      | 168 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   1 +
 2 files changed, 169 insertions(+)

commit 7af02d4a982589f67eef78d8c52f51ad74de6127
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 3 18:59:56 2014 +0000

    Add OMNIKEY AG 3121 USB
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6896 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/OMNIKEY_AG_3121.txt   | 170 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   1 +
 2 files changed, 171 insertions(+)

commit de07950ff024a1517661ba50d922e6ca9dac33d1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat May 3 18:42:20 2014 +0000

    Add HID OMNIKEY 5025-CL
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6894 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/HID_OMNIKEY_5025-CL.txt | 56 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt   |  3 ++-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit 5a705cead2ed3f618e774c71e1ad166414aa0fa5
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Apr 24 16:57:03 2014 +0000

    Add HID Global veriCLASS Reader
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6892 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/HID_Global_veriCLASS_Reader.txt | 56 +++++++++++++++++++++++++++++++++
 readers/supported_readers.txt           |  5 ++-
 2 files changed, 60 insertions(+), 1 deletion(-)

commit 0a295238204b8aef683fa5e69187b1060210f487
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Apr 24 13:51:03 2014 +0000

    OpenUSBByName(): add a 100 ms delay on Mac OS X
    
    The USB device may be detected by the Mac OS X USB layer (used by pcscd)
    but not yet by libusb (used by libccid).
    
    We must give some time (100 ms) before listing the USB devices seen by
    libusb. Noticed on OS X Mavericks using libusb 1.0.18.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6890 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit a4012b8d8417981a8b4249de762108cbd11732bd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Apr 24 13:48:01 2014 +0000

    OpenUSBByName(): log an error if the USB device is not found
    
    If we exit the function without finding the (new) device then we log an
    error ""Device not found?".
    
    This could happen if the device is found by Mac OS X USB layer but not
    yet by libusb. Noticed on OS X Mavericks using libusb 1.0.18.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6889 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 1 +
 1 file changed, 1 insertion(+)

commit 64308e93029bf377d506edaf2748da945a21cd5c
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Apr 11 18:46:19 2014 +0000

    The O2 Micro Oz776 reader only supports 9600 bps
    
    The reader returns bNumDataRatesSupported: 0 and a list with only 1
    value: 9600 bps.
    bNumDataRatesSupported: 0 should indicate that all the speeds between
    dwDataRate: 9600 bps and dwMaxDataRate: 307200 bps are available. But it
    looks like this is not the case.
    
    The driver behavior changed with revision 6801 "Do not get the data
    rates if bNumDataRatesSupported = 0".
    
    This patch just set dwMaxDataRate to 9600 so only this speed is used.
    The O2 Micro Oz776 reader was already in the unsupported list.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6885 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 41d0291d1e2f6e63d902253897eb8042b08fd6c8 (tag: ccid-1.4.16)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 23 15:13:34 2014 +0000

    Release 1.4.16
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6880 0ce88b0d-b2fd-0310-8134-9614164e65ea

 README       | 22 ++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit 2e9cd4c9e03da11ae325867256a01bc3c4eb03fc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 23 15:11:20 2014 +0000

    Fix compiler warning
    
    commands.c: In function `SecurePINVerify':
    commands.c:529:9: warning: variable `n' set but not used [-Wunused-but-set-variable]
         int n, oldReadTimeout;
             ^
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6879 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/commands.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af2d8587717638fe1049d486fcf380c249bbb698
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 23 12:15:03 2014 +0000

    Fix compiler warning
    
    commands.c:511:19: warning: | has lower precedence than ==; == will be evaluated first [-Wparentheses]
                            if (T1_S_BLOCK | T1_S_WTX == RxBuffer[PCB])
                                           ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    commands.c:511:19: note: place parentheses around the '==' expression to silence this warning
                            if (T1_S_BLOCK | T1_S_WTX == RxBuffer[PCB])
                                           ^ ~~~~~~~~~~~~~~~~~~~~~~~~~
    commands.c:511:19: note: place parentheses around the | expression to evaluate it first
                            if (T1_S_BLOCK | T1_S_WTX == RxBuffer[PCB])
                                ~~~~~~~~~~~^~~~~~~~~~
    1 warning generated.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6878 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/commands.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e21f04e37b39925125c3109c89997683c08e2c5d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 23 12:11:35 2014 +0000

    SecurePINVerify: add support of WTX received before SW
    
    The Swiss health care card sends a WTX request before returning the SW
    code.  If the reader is in TPDU and the card is in T=1 the driver must
    manage the request itself.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6877 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/commands.c | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 65 insertions(+), 1 deletion(-)

commit 13a2c9d86fd77b402f3292467ad84ba2a694f720
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 23 12:00:57 2014 +0000

    Add DRIVER_OPTION_DISABLE_PIN_RETRIES definition
    
    This is a missing for revision 6875
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6876 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_ifdhandler.h | 1 +
 1 file changed, 1 insertion(+)

commit d1d66a245549fcd457d90e0f307a10f7289f33d3
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Mar 22 17:38:22 2014 +0000

    Add support of DRIVER_OPTION_DISABLE_PIN_RETRIES
    
    The Gemalto pinpad reader sends a VERIFY command with no PIN
    value in order to retreive the remaining retries from the card.
    Some cards (like the OpenPGP card) do not support this.
    
    It is now possible to disable this behavior from the Gemalto Pinpad and
    Covadis Véga Alpha.
    
    Closes Alioth bug
    https://alioth.debian.org/tracker/index.php?func=detail&aid=314005&group_id=30105&atid=410088
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6875 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/Info.plist.src |  5 +++++
 src/ccid.c         | 15 +++++++++++++++
 2 files changed, 20 insertions(+)

commit 9de827c928d1bee8d4f4438237df6bf0c2084cb1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Mar 22 17:18:02 2014 +0000

    InterruptRead(): log the libusb errors
    
    Allow an easier debug
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6874 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 2 ++
 1 file changed, 2 insertions(+)

commit 89c530269f4576b5406b5b246f63a702767ecf46
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Mar 11 17:34:05 2014 +0000

    Add IID AT90S064 CCID READER
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6873 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/IID_AT90S064_CCID_READER.txt | 49 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt        |  5 +++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 1c73ab5ea015638fd5a02ddd1b7764548c121205
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Mar 9 19:47:30 2014 +0000

    Add Watchdata W5181
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6871 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Watchdata_W5181.txt   | 161 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   9 ++-
 2 files changed, 169 insertions(+), 1 deletion(-)

commit b649a644f6a34fe3619fe1b3c3d23b9a68f4ed99
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Mar 8 16:16:37 2014 +0000

    t1_transceive(): add a new test on retries
    
    The driver should not send R-blocks infinitely.
    
    The problem was detected by a T=1 card on a TPDU pinpad reader with a
    VERIFY command that send a WTX request before returning the SW code.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6869 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/openct/proto-t1.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 115ab274655937b06f20fbbfd7ea4fff3d37a9b8
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Mar 8 16:14:39 2014 +0000

    t1_transceive(): check retries is is positive
    
    The test was "retries == 0" but it may happen that retries becomes
    negative. Then the counter will be decreasing "indefinitely".
    
    The new test is "retries <= 0" to also get the negative values and
    resync if needed.
    
    The problem was detected by a T=1 card on a TPDU pinpad reader with a
    VERIFY command that send a WTX request before returning the SW code.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6868 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/openct/proto-t1.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit e9109e31873bc4fdf1f2d17b80f75719b0fddee4
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Mar 7 21:36:24 2014 +0000

    Add INSIDE Secure VaultIC 441 Smart Object
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6866 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/INSIDE_Secure_VaultIC_441_Smart_Object.txt | 49 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  1 +
 2 files changed, 50 insertions(+)

commit d3794d2170ca6488a063f92ea228bb06d9dbe4c1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Mar 7 21:32:37 2014 +0000

    Add INSIDE Secure VaultIC 405 Smart Object
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6865 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/INSIDE_Secure_VaultIC_405_Smart_Object.txt | 49 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  5 ++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 62ba9506d94c82917a65da29168b275721e8d891
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Mar 7 21:24:51 2014 +0000

    Replace HP by Hewlett Packard
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6864 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/supported_readers.txt | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 5dadd8ee85dcea2ad1985e814e40f42fdedba8ac
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Wed Feb 26 09:58:54 2014 +0000

    Indicates the changes are in README.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6862 0ce88b0d-b2fd-0310-8134-9614164e65ea

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit aed5daa687bdc1b27438d552a65e57c56f91954e
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sun Feb 23 21:28:15 2014 +0000

    Add HP USB Smartcard CCID Keyboard
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6860 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Chicony_HP_USB_Smartcard_CCID_Keyboard.txt | 58 ++++++++++++++++++++++
 readers/supported_readers.txt                      |  5 +-
 2 files changed, 62 insertions(+), 1 deletion(-)

commit b636b96c1b15f4c88cb0d8ad3920cc0e097199dd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Feb 18 19:25:23 2014 +0000

    Add Microchip SEC1210
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6857 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Microchip_SEC1210.txt | 108 ++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |   4 ++
 2 files changed, 112 insertions(+)

commit 5a7f62aa99aeec0995069b25f26f01a6b0690163
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Feb 18 19:21:30 2014 +0000

    Add Microchip SEC1110
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6856 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Microchip_SEC1110.txt | 54 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  3 +++
 2 files changed, 57 insertions(+)

commit f9bc083e0b5fca8308476e82d6efab4cf1877e9d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Feb 18 19:10:10 2014 +0000

    Add Crypto Stick Crypto Stick v1.4
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6855 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Crypto_Stick_Crypto_Stick_v1.4.txt | 51 ++++++++++++++++++++++++++++++
 readers/supported_readers.txt              |  5 ++-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit ba0142521f7defd81c94ddcad7687ef65f5e1ed1 (tag: ccid-1.4.15)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 14 09:19:48 2014 +0000

    Release 1.4.15
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6846 0ce88b0d-b2fd-0310-8134-9614164e65ea

 README       | 33 ++++++++++++++++++++++++++++++++-
 configure.ac |  2 +-
 2 files changed, 33 insertions(+), 2 deletions(-)

commit c663ec643cfe944dce40fe5fd770475d781750ba
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Feb 14 09:16:01 2014 +0000

    Disable pinpad for Fujitsu SmartCase KB SCR eSIG
    
    Thanks to Maarten for the bug report and patch.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6845 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c | 1 +
 src/ccid.h | 1 +
 2 files changed, 2 insertions(+)

commit 9e03a8020f7a5ed9e90db2b7249b59a8837a4a7f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Sat Feb 8 16:17:17 2014 +0000

    Add Feitian bR301
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6839 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Feitian_bR301.txt     | 60 +++++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt |  9 ++++---
 2 files changed, 65 insertions(+), 4 deletions(-)

commit a88a9900e10666466835e67babbaea776dfb330d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Feb 3 14:55:48 2014 +0000

    Add Gemalto Ezio Shield Pro SC
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6835 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Gemalto_Ezio_Shield_Pro_SC.txt | 56 ++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt          |  5 ++-
 2 files changed, 60 insertions(+), 1 deletion(-)

commit db23fc998ed024d4784fb348e8b90e29f5f16b46
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 28 14:53:40 2014 +0000

    Remove the optional CHANNELID
    
    Use DEVICENAME only instead.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6833 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/reader.conf.in | 1 -
 1 file changed, 1 deletion(-)

commit 673d31137066da21fd5b4591b08e7115345b8b53
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 28 14:50:43 2014 +0000

    Add support of Gemalto CR30 reader in serial communication
    
    The Gemalto CR30 reader is a dual slot reader. The reader can be
    connected with a USB cable (normal CCID protocol) or using a serial
    cable.
    
    The serial configuration is made using a special name in
    /etc/reader.conf DEVICENAME field like:
    DEVICENAME        /dev/ttyS0:GemCoreSIMPro2
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6832 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.h         | 14 ++++++++++++
 src/ccid_serial.c  | 65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/reader.conf.in | 10 ++++++---
 3 files changed, 86 insertions(+), 3 deletions(-)

commit 97ad744e2d33f0752cc8eaab2eaff07c84c4766f
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 28 13:15:22 2014 +0000

    set_ccid_descriptor(): initialize .ccid.readTimeout
    
    The read timeout was not initialized. I don't know how it was working.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6831 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_serial.c | 1 +
 1 file changed, 1 insertion(+)

commit a1ed8a2923c0fc59e5a1fd731eee6e190a5ea7c0
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 21 17:53:14 2014 +0000

    Add VASCO DIGIPASS 870
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6829 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Vasco_DIGIPASS_870.txt | 107 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |   3 +-
 2 files changed, 109 insertions(+), 1 deletion(-)

commit 93f3bfabd789dea7df890b2b483df4c79a674dea
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 21 17:36:11 2014 +0000

    get_end_points(): be more strict for bInterfaceClass = 255
    
    If the bInterfaceClass is 255 (proprietary) and then not, but possibly,
    a CCID interface (on an old reader) we also check the extra_length is
    valid for a CCID device.
    
    The problem was with a composite device with 2 interfaces: one non-CCID
    interface with bInterfaceClass = 255 and a CCID interface with
    bInterfaceClass = 11. The first non-CCID interface must be skipped.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6828 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6a3105510a13db61a959c39fa64e4def1e163278
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 21 17:29:00 2014 +0000

    Small update
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6827 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/Aladdin_eToken_PRO_USB_72K_Java.txt | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6ca60b6d5ecaf32753132efa113b732803cb95a1
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 7 14:23:17 2014 +0000

    ccid_open_hack_post(): use default read timeout for CmdEscape
    
    Use the default read timeout (DEFAULT_COM_READ_TIMEOUT at 3 seconds)
    instead of the current value of 100 ms (set in
    CreateChannelByNameOrChannel) that is too short to load the l10n strings
    in a pinpad reader.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6820 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e422733ef76afd1f3a24349c5d28cbd1276c85d
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 7 14:12:27 2014 +0000

    Support Gemalto features for pinpad readers
    
    MinimumPINSize, MaximumPINSize and bEntryValidationCondition are fetched
    from the reader firmware.
    No need to hardcode specific values anymore.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6819 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c | 30 +++++++++++++++++++++++++++++-
 1 file changed, 29 insertions(+), 1 deletion(-)

commit 1a8c304b7674fcb9603a07efee2530ea81bda662
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 7 10:16:28 2014 +0000

    Fix typo in text
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6818 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7945372ecba9b63daf306808106995caeac8b7cc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 7 10:01:52 2014 +0000

    Set specific value of bEntryValidationCondition for known readers
    
    Gemalto Pinpad, Covadis Véga-Alpha and Cherry ST2000 readers only
    support validation by key pressed.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6817 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 39468bab29a22871e287c3724211805cd406faab
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 7 09:58:44 2014 +0000

    Retrieve bEntryValidationCondition from the driver
    
    Use PCSCv2_PART10_PROPERTY_bEntryValidationCondition to know what
    validation conditions aer supported by the pinpad.
    
    Default value is 7 (as before).
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6816 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit 39dad973e4627274f8e70bda58919baf0a1716d2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 7 09:52:29 2014 +0000

    Check value returned by gets(3)
    
    Fix compiler warning:
    scardcontrol.c:649:4: warning: ignoring return value of ‘fgets’, declared with attribute warn_unused_result [-Wunused-result]
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6815 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 27f609b142e6ab3f5517fc1558b6825c8f450295
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 7 09:49:47 2014 +0000

    Retrieve min and max PIN sizes from the driver
    
    Use PCSCv2_PART10_PROPERTY_bMinPINSize and
    PCSCv2_PART10_PROPERTY_bMaxPINSize to know the min and max PIN sizes.
    
    If not defined by the driver the default values are 4 for min and 8 for
    max (as before).
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6814 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit 19afd55d97cded45e8adda62a373c4b5b60ac3eb
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Jan 7 09:40:26 2014 +0000

    Do a PIN verify instead of PIN modify
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6813 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1398dcfd4b4ccdd97daca9ce2cfa1ac86bafacfd
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jan 6 15:32:55 2014 +0000

    Parse codes returned by a pinpad (as SW1/SW2).
    
    Known codes for now are:
    0x9000: Success
    0x6400: Timeout
    0x6401: Cancelled by user
    0x6402: PIN mismatch
    0x6403: Too short or too long PIN
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6812 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

commit fb14487b0aaa31f8a1373365a104b4858dcb28c2
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Jan 6 14:18:30 2014 +0000

    Add specific PIN min & max sizes for SmartTerminal ST-2xxx
    
    The Cherry GmbH SmartTerminal ST-2xxx reader has a min PIN size of 0
    digits and a max PIN size of 25 (0x19) digits.
    
    Thanks to Dominik Heidler for the bug report
    https://github.com/OpenSC/OpenSC/issues/199
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6811 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ifdhandler.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 0f30bba8c183fe60b5ab62bf7eb35494098673fe
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Dec 17 08:57:30 2013 +0000

    Fix calculation of the command length
    
    Since pcsc-lite 1.8.9 (October 2013) the structures PIN_MODIFY_STRUCTURE
    and PIN_VERIFY_STRUCTURE are different and now use a C99 flexible array
    member when available for abData field. uint8_t abData[];
    
    The the sizeof(PIN_VERIFY_STRUCTURE) is one byte smaller and the
    calculation of the complete command is now simpler.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6809 0ce88b0d-b2fd-0310-8134-9614164e65ea

 examples/scardcontrol.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f2135d872cf3290ad2e63a253fe58d1ff81083f6
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Thu Dec 12 21:05:14 2013 +0000

    Add IIT E.Key Almaz-1C
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6806 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/IIT_E.Key_Almaz-1C.txt | 560 +++++++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt  |   5 +-
 2 files changed, 564 insertions(+), 1 deletion(-)

commit 8ae07a3ce7d5aec76d30deaf898ed98fd09b2446
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Fri Dec 6 13:00:06 2013 +0000

    Add DUALi DRAGON NFC READER
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6805 0ce88b0d-b2fd-0310-8134-9614164e65ea

 readers/DUALi_DRAGON_NFC_READER.txt | 118 ++++++++++++++++++++++++++++++++++++
 readers/supported_readers.txt       |   8 ++-
 2 files changed, 125 insertions(+), 1 deletion(-)

commit 81c82c8852010f362bb48968b4f5df27a4789a48
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Nov 26 14:14:49 2013 +0000

    Do not get the data rates if bNumDataRatesSupported = 0
    
    According to CCID spec 1.1: " If the value is 00h, all data rates
    between the default data rate dwDataRate and the maximum data rate
    dwMaxDataRate are supported. "
    
    Some readers do not support control request 0x03 GET_DATA_RATES if they
    declare bNumDataRatesSupported = 0. That should not generate a critical
    error.
    
    This change will fix bug [#314516] Do not log ccid_usb.c:1142:ControlUSB() control failed (1/4): -9 Success
    https://alioth.debian.org/tracker/index.php?func=detail&aid=314516&group_id=30105&atid=410088
    
    and also fix bug [#313651] Do not call get_data_rates() if bNumDataRatesSupported is 0
    https://alioth.debian.org/tracker/index.php?func=detail&aid=313651&group_id=30105&atid=410088
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6801 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 0d6bc2f109f12bb94ba817dd80361af766540831
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Nov 26 14:10:35 2013 +0000

    Revert revision 6799
    
    We will use a better way to solve the bug.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6800 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 36 +++++++-----------------------------
 1 file changed, 7 insertions(+), 29 deletions(-)

commit 94184909b4747721106f3f592ae2e02f96c739dc
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Nov 26 13:51:45 2013 +0000

    Failing to get the data rates from the reader is not a critical error
    
    The reader may not respond to control request 0x03 GET_DATA_RATES
    In such a case the CCID driver should not report a critical error.
    
    The driver will now report a info level error.o
    
    Closes alioth bug [#314516] Do not log ccid_usb.c:1142:ControlUSB() control failed (1/4): -9 Success
    https://alioth.debian.org/tracker/index.php?func=detail&aid=314516&group_id=30105&atid=410088
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6799 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 36 +++++++++++++++++++++++++++++-------
 1 file changed, 29 insertions(+), 7 deletions(-)

commit e2989d7574a0b978dc26f562d9cbadecfb697297
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Tue Nov 26 13:49:00 2013 +0000

    Add DEBUG_INFO5() macro
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6798 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/debug.h | 2 ++
 1 file changed, 2 insertions(+)

commit 5a7356dc29f00dc2ba6b3558fb0e1f5a499f9702 (tag: ccid-1.4.14)
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Nov 25 18:09:17 2013 +0000

    Release 1.4.14
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6795 0ce88b0d-b2fd-0310-8134-9614164e65ea

 README       | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit bb894604807ff4a8c91bb1dc218db145081ca965
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Nov 25 17:02:26 2013 +0000

    Reformat the list of readers in the "add support for" section
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6794 0ce88b0d-b2fd-0310-8134-9614164e65ea

 README | 163 ++++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 117 insertions(+), 46 deletions(-)

commit c1ffbc263cd6d2ab328d1ed78976d45bd2e3dd08
Author: Ludovic Rousseau <ludovic.rousseau@free.fr>
Date:   Mon Nov 25 13:09:41 2013 +0000

    Generalize the management of readers with bDeviceClass = 0xFF
    
    Some early Gemalto Ezio CB+ readers have bDeviceClass, bDeviceSubClass and
    bDeviceProtocol set to 0xFF (proprietary) instead of 0x00.
    
    So on Mac OS X the reader configuration is not done by the OS/kernel and we do
    it ourself.
    
    The code is no more limited to the GEMALTO_EZIO_CBP (0x08E6/0x34C3) but to any
    reader with the problem, like the Todos Argos Mini II CCID.
    
    
    git-svn-id: svn://anonscm.debian.org/svn/pcsclite/trunk/Drivers/ccid@6793 0ce88b0d-b2fd-0310-8134-9614164e65ea

 src/ccid_usb.c | 48 +++++++++++++++++++++++++++++-------------------
 1 file changed, 29 insertions(+), 19 deletions(-)

